package cn.iocoder.yudao.module.ecw;

import cn.iocoder.yudao.framework.security.config.AuthorizeRequestsCustomizer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configurers.ExpressionUrlAuthorizationConfigurer;

/**
 * ecw 模块的 Security 配置
 */
@Configuration("ecwSecurityConfiguration")
public class SecurityConfiguration {

    @Bean("ecwAuthorizeRequestsCustomizer")
    public AuthorizeRequestsCustomizer authorizeRequestsCustomizer() {
        return new AuthorizeRequestsCustomizer() {

            @Override
            public void customize(ExpressionUrlAuthorizationConfigurer<HttpSecurity>.ExpressionInterceptUrlRegistry registry) {
                // 登录的接口，可匿名访问
                registry.antMatchers(buildAdminApi("/ecw/country/list")).permitAll();
                registry.antMatchers(buildAdminApi("/ecw/country/get")).permitAll();
                registry.antMatchers(buildAdminApi("/ecw/country/list-all")).permitAll();
                registry.antMatchers(buildAdminApi("/ecw/country/page")).permitAll();
            }

        };
    }

}
