package cn.iocoder.yudao.module.ecw.controller.admin.cabinet.vo;

import lombok.*;

import java.math.BigDecimal;

import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 柜型配置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CabinetBaseVO {

    @ApiModelProperty(value = "柜型名称", required = true)
    @NotNull(message = "柜型名称不能为空")
    private String name;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "提单补料")
    private BigDecimal ladingBill;

    @ApiModelProperty(value = "是否启用", required = true)
    @NotNull(message = "是否启用不能为空")
    private Integer status;

    @ApiModelProperty(value = "排序", required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;

}
