package cn.iocoder.yudao.module.ecw.controller.admin.cabinet.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;


/**
 * 柜型配置 Excel VO
 *
 * @author yanghao
 */
@Data
public class CabinetExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("柜型名称")
    private String name;

    @ExcelProperty("体积")
    private BigDecimal volume;

    @ExcelProperty("重量")
    private BigDecimal weight;

    @ExcelProperty(value = "是否启用", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    private Integer status;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("创建时间")
    private Date createTime;

}
