package cn.iocoder.yudao.module.ecw.controller.admin.currencyEcash.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* E-Cash汇率单位 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CurrencyEcashBaseVO {

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "货币符号")
    private String fuhao;

    @ApiModelProperty(value = "是否展示0为展示,1为不展示 ")
    private Integer status;

    @ApiModelProperty(value = "汇率 ")
    private BigDecimal huilv;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ApiModelProperty(value = "金额")
    private BigDecimal fromFee;

    @ApiModelProperty(value = "货币类型")
    private Integer fromCurrency;

    @ApiModelProperty(value = "兑换金额")
    private BigDecimal toFee;

    @ApiModelProperty(value = "兑换货币类型")
    private Integer toCurrency;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "尼日利亚开始时间")
    private Date nrlyStartTime;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "尼日利亚结束时间")
    private Date nrlyEndTime;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "北京开始时间")
    private Date bjStartTime;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "北京结束时间")
    private Date bjEndTime;

    @ApiModelProperty(value = "过期提示语")
    private String remark;
}
