package cn.iocoder.yudao.module.ecw.controller.admin.currencyEcash.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - E-Cash汇率单位 Excel 导出 Request VO", description = "参数和 CurrencyEcashPageReqVO 是一致的")
@Data
public class CurrencyEcashExportReqVO {

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "货币符号")
    private String fuhao;

    @ApiModelProperty(value = "是否展示0为展示,1为不展示 ")
    private Integer status;

    @ApiModelProperty(value = "汇率 ")
    private BigDecimal huilv;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束")
    private Date endCreateTime;

}
