package cn.iocoder.yudao.module.ecw.controller.admin.dock.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 码头信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DockBaseVO {

    @ApiModelProperty(value = "中文名称", required = true)
    @NotNull(message = "中文名称不能为空")
    private String titleZh;

    @ApiModelProperty(value = "英文名称", required = true)
    @NotNull(message = "英文名称不能为空")
    private String titleEn;

    @ApiModelProperty(value = "排序", required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @ApiModelProperty(value = "数据来源(pc端，mobile端)", required = true)
    private String source;

    @ApiModelProperty(value = "国家id")
    private Long countryId;

    @ApiModelProperty(value = "国家中文名称")
    private String countryZh;

    @ApiModelProperty(value = "国家英文名称")
    private String countryEn;

    @ApiModelProperty(value = "省id")
    private Long provinceId;

    @ApiModelProperty(value = "省中文名称")
    private String provinceZh;

    @ApiModelProperty(value = "省英文名称")
    private String provinceEn;

    @ApiModelProperty(value = "市id")
    private Long cityId;

    @ApiModelProperty(value = "市中文名称")
    private String cityZh;

    @ApiModelProperty(value = "市英文名称")
    private String cityEn;

    @ApiModelProperty(value = "港口类型")
    private String portType;

    @ApiModelProperty(value = "码头编号")
    private String number;

    @ApiModelProperty(value = "码头类型")
    private String type;

    @ApiModelProperty(value = "是否显示，默认显示", required = true)
    private Integer status;

}
