package cn.iocoder.yudao.module.ecw.controller.admin.dock.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 码头信息 Excel 导出 Request VO", description = "参数和 DockPageReqVO 是一致的")
@Data
public class DockExportReqVO {

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "数据来源(pc端，mobile端)")
    private String source;

    @ApiModelProperty(value = "国家id")
    private Long countryId;

    @ApiModelProperty(value = "国家中文名称")
    private String countryZh;

    @ApiModelProperty(value = "国家英文名称")
    private String countryEn;

    @ApiModelProperty(value = "省id")
    private Long provinceId;

    @ApiModelProperty(value = "省中文名称")
    private String provinceZh;

    @ApiModelProperty(value = "省英文名称")
    private String provinceEn;

    @ApiModelProperty(value = "市id")
    private Long cityId;

    @ApiModelProperty(value = "市中文名称")
    private String cityZh;

    @ApiModelProperty(value = "市英文名称")
    private String cityEn;

    @ApiModelProperty(value = "港口类型")
    private String portType;

    @ApiModelProperty(value = "码头编号")
    private String number;

    @ApiModelProperty(value = "码头类型")
    private String type;

    @ApiModelProperty(value = "是否显示，默认显示", required = true)
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
