package cn.iocoder.yudao.module.ecw.controller.admin.enterprise.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 企业设置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class EnterpriseBaseVO {

    @ApiModelProperty(value = "中文LOGO", required = true)
    @NotNull(message = "enterprise.logo.zh.not.null")
    private String logoZh;

    @ApiModelProperty(value = "英文LOGO", required = true)
    @NotNull(message = "enterprise.logo.en.not.null")
    private String logoEn;

    @ApiModelProperty(value = "标题中文", required = true)
    @NotNull(message = "enterprise.title.zh.not.null")
    private String titleZh;

    @ApiModelProperty(value = "标题英文", required = true)
    @NotNull(message = "enterprise.title.en.not.null")
    private String titleEn;

    @ApiModelProperty(value = "关键字中文")
    private String keywordZh;

    @ApiModelProperty(value = "关键字英文")
    private String keywordEn;

    @ApiModelProperty(value = "描述中文")
    private String describeZh;

    @ApiModelProperty(value = "描述英文")
    private String describeEn;

    @ApiModelProperty(value = "地址中文")
    private String addressZh;

    @ApiModelProperty(value = "地址英文")
    private String addressEn;

    @ApiModelProperty(value = "免费咨询中文")
    private String freeConsultationZh;

    @ApiModelProperty(value = "免费咨询英文")
    private String freeConsultationEn;

    @ApiModelProperty(value = "客服电话中文")
    private String customerTelZh;

    @ApiModelProperty(value = "客服电话英文")
    private String customerTelEn;

    @ApiModelProperty(value = "联系电话中文")
    private String contactTelZh;

    @ApiModelProperty(value = "联系电话英文")
    private String contactTelEn;

    @ApiModelProperty(value = "邮箱中文")
    private String mailboxZh;

    @ApiModelProperty(value = "邮箱英文")
    private String mailboxEn;

    @ApiModelProperty(value = "版权信息中文")
    private String copyrightInfoZh;

    @ApiModelProperty(value = "版权信息英文")
    private String copyrightInfoEn;

    @ApiModelProperty(value = "企业微信中文")
    private String enterpriseWechatZh;

    @ApiModelProperty(value = "企业微信英文")
    private String enterpriseWechatEn;

}
