package cn.iocoder.yudao.module.ecw.controller.admin.enterprise.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 企业设置 Excel 导出 Request VO", description = "参数和 EnterprisePageReqVO 是一致的")
@Data
public class EnterpriseExportReqVO {

    @ApiModelProperty(value = "中文LOGO")
    private String logoZh;

    @ApiModelProperty(value = "英文LOGO")
    private String logoEn;

    @ApiModelProperty(value = "标题中文")
    private String titleZh;

    @ApiModelProperty(value = "标题英文")
    private String titleEn;

    @ApiModelProperty(value = "关键字中文")
    private String keywordZh;

    @ApiModelProperty(value = "关键字英文")
    private String keywordEn;

    @ApiModelProperty(value = "描述中文")
    private String describeZh;

    @ApiModelProperty(value = "描述英文")
    private String describeEn;

    @ApiModelProperty(value = "地址中文")
    private String addressZh;

    @ApiModelProperty(value = "地址英文")
    private String addressEn;

    @ApiModelProperty(value = "免费咨询中文")
    private String freeConsultationZh;

    @ApiModelProperty(value = "免费咨询英文")
    private String freeConsultationEn;

    @ApiModelProperty(value = "客服电话中文")
    private String customerTelZh;

    @ApiModelProperty(value = "客服电话英文")
    private String customerTelEn;

    @ApiModelProperty(value = "联系电话中文")
    private String contactTelZh;

    @ApiModelProperty(value = "联系电话英文")
    private String contactTelEn;

    @ApiModelProperty(value = "邮箱中文")
    private String mailboxZh;

    @ApiModelProperty(value = "邮箱英文")
    private String mailboxEn;

    @ApiModelProperty(value = "版权信息中文")
    private String copyrightInfoZh;

    @ApiModelProperty(value = "版权信息英文")
    private String copyrightInfoEn;

    @ApiModelProperty(value = "企业微信中文")
    private String enterpriseWechatZh;

    @ApiModelProperty(value = "企业微信英文")
    private String enterpriseWechatEn;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
