package cn.iocoder.yudao.module.ecw.controller.admin.ladingTemplate.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 提单模板 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 提单模板 Response VO")
public class LadingTemplateBackVO {

    @ExcelProperty("编号")
    @ApiModelProperty(value = "编号", required = true)
    private Long id;

    @ExcelProperty("货柜前缀")
    @ApiModelProperty(value = "货柜前缀")
    private String prefixCounter;

    @ExcelProperty("账户详情")
    @ApiModelProperty(value = "账户详情")
    private String account;

    @ExcelProperty("抬头中文")
    @ApiModelProperty(value = "抬头中文")
    private String titleZh;

    @ExcelProperty("抬头英文")
    @ApiModelProperty(value = "抬头英文")
    private String titleEn;

    @ExcelProperty("条款中文")
    @ApiModelProperty(value = "条款中文")
    private String contentZh;

    @ExcelProperty("条款英语")
    @ApiModelProperty(value = "条款英语")
    private String contentEn;

    @ExcelProperty("0-启用,1-停用")
    @ApiModelProperty(value = "0-启用,1-停用")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("路线ID")
    @ApiModelProperty(value = "路线ID")
    private String lineId;

}
