package cn.iocoder.yudao.module.ecw.controller.admin.ladingTemplate.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 提单模板查询 VO")
public class LadingTemplateQueryVO {

    @ApiModelProperty(value = "货柜前缀")
    private String prefixCounter;

    @ApiModelProperty(value = "账户详情")
    private String account;

    @ApiModelProperty(value = "抬头中文")
    private String titleZh;

    @ApiModelProperty(value = "抬头英文")
    private String titleEn;

    @ApiModelProperty(value = "条款中文")
    private String contentZh;

    @ApiModelProperty(value = "条款英语")
    private String contentEn;

    @ApiModelProperty(value = "0-启用,1-停用")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
