package cn.iocoder.yudao.module.ecw.controller.admin.messageLeave.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 留言 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class MessageLeaveBaseVO {

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "联系方式")
    private String phone;

    @ApiModelProperty(value = "订单号")
    private String orderCode;

    @ApiModelProperty(value = "留言内容")
    private String content;

    @ApiModelProperty(value = "咨询类型 1-咨询 2-建议")
    private Integer type;

    @ApiModelProperty(value = "状态 1-待回复 2-已回复")
    private Integer status;

    @ApiModelProperty(value = "回复人")
    private Long replyUserId;

    @ApiModelProperty(value = "回复内容")
    private String replyContent;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "回复时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date replyTime;

}
