package cn.iocoder.yudao.module.ecw.controller.admin.messageLeave.vo;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;


/**
 * 留言 Excel VO
 *
 * @author yanghao
 */
@Data
public class MessageLeaveExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("姓名")
    private String name;

    @ExcelProperty("联系方式")
    private String phone;

    @ExcelProperty("订单号")
    private String orderCode;

    @ExcelProperty("留言内容")
    private String content;

    @ExcelProperty(value = "咨询类型 1-咨询 2-建议", converter = DictConvert.class)
    @DictFormat("ecw_message_leave_type") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    private Integer type;

    @ExcelProperty(value = "状态 1-待回复 2-已回复", converter = DictConvert.class)
    @DictFormat("ecw_message_leave_status") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    private Integer status;

    @ExcelProperty("回复人")
    private Long replyUserId;

    @ExcelProperty("回复内容")
    private String replyContent;

    @ExcelProperty("回复时间")
    private Date replyTime;

    @ExcelProperty("创建时间")
    private Date createTime;

}
