package cn.iocoder.yudao.module.ecw.controller.admin.messageLeave.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 留言分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MessageLeavePageReqVO extends PageParam {

    @ApiModelProperty(value = "订单号")
    private String orderCode;

    @ApiModelProperty(value = "留言内容")
    private String content;

    @ApiModelProperty(value = "咨询类型 1-咨询 2-建议")
    private Integer type;

    @ApiModelProperty(value = "状态 1-待回复 2-已回复")
    private Integer status;

    @ApiModelProperty(value = "回复人")
    private Long replyUserId;

    @ApiModelProperty(value = "创建人")
    private Long creator;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
