package cn.iocoder.yudao.module.ecw.controller.admin.node.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 服务网点 Excel 导出 Request VO", description = "参数和 NodePageReqVO 是一致的")
@Data
public class NodeExportReqVO {

    @ApiModelProperty(value = "站点编号")
    private String number;

    @ApiModelProperty(value = "洲")
    private Long zhou;

    @ApiModelProperty(value = "国家")
    private Long guojia;

    @ApiModelProperty(value = "省")
    private Long sheng;

    @ApiModelProperty(value = "市")
    private Long shi;

    @ApiModelProperty(value = "中文标题")
    private String titleZh;

    @ApiModelProperty(value = "英文标题")
    private String titleEn;

    @ApiModelProperty(value = "图片地址")
    private String img;

    @ApiModelProperty(value = "中文副标题")
    private String titlesZh;

    @ApiModelProperty(value = "英文副标题")
    private String titlesEn;

    @ApiModelProperty(value = "中文关键词")
    private String keywordsZh;

    @ApiModelProperty(value = "英文关键词")
    private String keywordsEn;

    @ApiModelProperty(value = "中文描述信息")
    private String descriptionZh;

    @ApiModelProperty(value = "英文描述信息")
    private String descriptionEn;

    @ApiModelProperty(value = "中文网点详情")
    private String contentZh;

    @ApiModelProperty(value = "英文网点详情")
    private String contentEn;

    @ApiModelProperty(value = "中文网点地址")
    private String addressZh;

    @ApiModelProperty(value = "英文网点地址")
    private String addressEn;

    @ApiModelProperty(value = "region_trade_type，0进出口；1只进口；2只出口")
    private String tradeType;

    @ApiModelProperty(value = "运输方式id，多个用逗号隔开")
    private String freight;

    @ApiModelProperty(value = "上班时间")
    private String worktime;

    @ApiModelProperty(value = "负责人的用户id")
    private Long adminId;

    @ApiModelProperty(value = "负责人的姓名")
    private String adminName;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ApiModelProperty(value = "是否展示 默认显示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
