package cn.iocoder.yudao.module.ecw.controller.admin.node.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Objects;

@Data
public class NodeTreeRegionSimpleVO {
    @ApiModelProperty("国家id")
    private Long id;
    @ApiModelProperty("国家中文名")
    private String labelZh;
    @ApiModelProperty("国家英文名")
    private String labelEn;

    @ApiModelProperty("城市")
    private List<NodeCity> children;

    @Data
    public static class NodeCity {
        @ApiModelProperty("城市id")
        private Long id;
        @ApiModelProperty("城市中文名")
        private String labelZh;
        @ApiModelProperty("城市英文名")
        private String labelEn;
        @ApiModelProperty("网点")
        private List<Node> children;

        @Override
        public boolean equals(Object o) {
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;
            NodeCity that = (NodeCity) o;
            return Objects.equals(id, that.id);
        }

        @Override
        public int hashCode() {
            return Objects.hashCode(id);
        }
    }
    @Data
    public static class Node {
        @ApiModelProperty("网点id")
        private Long id;
        @ApiModelProperty("网点中文名")
        private String labelZh;
        @ApiModelProperty("网点英文名")
        private String labelEn;
    }
}
