package cn.iocoder.yudao.module.ecw.controller.admin.pickupLoc.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 自提点 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class PickupLocBaseVO {

    @ApiModelProperty(value = "国家", required = true)
    @NotNull(message = "国家不能为空")
    private Long countryId;

    @ApiModelProperty(value = "名称", required = true)
    @NotNull(message = "名称不能为空")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "工作时间")
    private String workTime;

    @ApiModelProperty(value = "联系方式")
    private String contact;

    @ApiModelProperty(value = "提货点地址")
    private String address;

    @ApiModelProperty(value = "提货点信息")
    private String detailZh;

    @ApiModelProperty(value = "提货点英文信息")
    private String detailEn;

    @ApiModelProperty(value = "排序", required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

}
