package cn.iocoder.yudao.module.ecw.controller.admin.pickupLoc.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 自提点分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PickupLocPageReqVO extends PageParam {

    @ApiModelProperty(value = "国家")
    private Long countryId;

    @ApiModelProperty(value = "名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "开始工作时间")
    private String beginWorkTime;

    @ApiModelProperty(value = "结束工作时间")
    private String endWorkTime;

    @ApiModelProperty(value = "联系方式")
    private String contact;

    @ApiModelProperty(value = "提货点地址")
    private String address;

    @ApiModelProperty(value = "提货点信息")
    private String detailZh;

    @ApiModelProperty(value = "提货点英文信息")
    private String detailEn;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
