package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 区域设置 Excel 导出 Request VO", description = "参数和 RegionPageReqVO 是一致的")
@Data
public class RegionExportReqVO {

    @ApiModelProperty(value = "区域名称")
    private String titleZh;

    @ApiModelProperty(value = "地区英文")
    private String titleEn;

    @ApiModelProperty(value = "简称")
    private String shortName;

    @ApiModelProperty(value = "语言")
    private String language;

    @ApiModelProperty(value = "国家代号-城市代号")
    private String labelCode;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "父区域id")
    private Long parentId;

    @ApiModelProperty(value = "显示顺序")
    private Integer sort;

    @ApiModelProperty(value = "区域状态（0正常 1停用）")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
