package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("管理后台 - 部门列表 Request VO")
@Data
public class RegionListReqVO {

    @ApiModelProperty(value = "区域名称")
    private String titleZh;

    @ApiModelProperty(value = "地区英文")
    private String titleEn;

    @ApiModelProperty(value = "简称")
    private String shortName;

    @ApiModelProperty(value = "语言")
    private String language;

    @ApiModelProperty(value = "国家代号-城市代号")
    private String labelCode;

    @ApiModelProperty(value = "展示状态", example = "1", notes = "参见 CommonStatusEnum 枚举类")
    private Integer status;

    @ApiModelProperty(value = "进出口类型，1是进口城市，目的城市，2是出口城市，始发城市", example = "1", notes = "参见 字典region_trade_type,1是进口城市，目的城市，2是出口城市，始发城市")
    private String type;

    @ApiModelProperty(value = "树结构类型, 0-从洲际开始查，1-从国家开始查")
    private Integer treeType;

//    @ApiModelProperty(value = "出口运费币种", required = false)
//    private String exportCurrency1;
//    @ApiModelProperty(value = "出口清关费币种", required = false)
//    private String exportCurrency2;
//    @ApiModelProperty(value = "出口额外费用币种", required = false)
//    private String exportCurrency3;

    @ApiModelProperty(value = "进口运费币种", required = false)
    private String importCurrency1;
    @ApiModelProperty(value = "进口清关费币种", required = false)
    private String importCurrency2;
    @ApiModelProperty(value = "进口国额外费用主币种 （未匹配副币种的金额统一转换为额外费用主币种金额）", required = false)
    private String importCurrency3;
    @ApiModelProperty(value = "进口国额外费用副币种 （匹配币种一致的金额）", required = false)
    private String importCurrency4;

    @ApiModelProperty(value = "进口国应收额币种", required = false)
    private String importCurrency5;
}
