package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 供应商 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class LadingShipperBaseVO {

    @ApiModelProperty(value = "公司名称", required = true)
    @NotEmpty(message = "公司名称不能为空")
    private String companyZh;

    @ApiModelProperty(value = "英文名称")
    private String companyEn;

    @ApiModelProperty(value = "合作开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date cooperationDateStart;

    @ApiModelProperty(value = "合作结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date cooperationDateEnd;

    @ApiModelProperty(value = "公司电话")
    private String tell;

    @ApiModelProperty(value = "邮件地址")
    private String email;

    @ApiModelProperty(value = "国家")
    private Long country;

    @ApiModelProperty(value = "省")
    private Long province;

    @ApiModelProperty(value = "市")
    private Long city;

    @ApiModelProperty(value = "详细地址")
    private String area;

    @ApiModelProperty(value = "省市区+详细地址")
    private String address;

    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "营业执照")
    private String license;

    @ApiModelProperty(value = "合同")
    private String contract;

    @ApiModelProperty(value = "社会信用统一代码")
    private String licenseNumber;


}
