package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 提单托运人分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LadingShipperPageReqVO extends PageParam {

    @ApiModelProperty(value = "公司名称")
    private String companyZh;

    @ApiModelProperty(value = "英文名称")
    private String companyEn;


    @ApiModelProperty(value = "公司电话")
    private String tell;

    @ApiModelProperty(value = "国家")
    private Long country;

    @ApiModelProperty(value = "省")
    private Long province;

    @ApiModelProperty(value = "市")
    private Long city;

    @ApiModelProperty(value = "详细地址")
    private String area;

    @ApiModelProperty(value = "省市区+详细地址")
    private String address;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "营业执照")
    private String license;

    @ApiModelProperty(value = "合同")
    private String contract;

    @ApiModelProperty(value = "社会信用统一代码")
    private String licenseNumber;

    @ApiModelProperty(value = "合作开始时间")
    private Date cooperationDateStart;

    @ApiModelProperty(value = "合作结束时间")
    private Date cooperationDateEnd;

    @ApiModelProperty(value = "邮件地址")
    private String email;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "关键字搜索")
    private String keyword;

}
