package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo;

import lombok.*;
import io.swagger.annotations.*;

import javax.validation.constraints.*;

/**
* 供应商银行账户 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class SupplierBankBaseVO {
    @ApiModelProperty(value = "id", required = true)
    private Long id;

    @ApiModelProperty(value = "供应商", required = true)
    private Long supplierId;

    @ApiModelProperty(value = "银行账户", required = true)
    @NotEmpty(message = "账户名称不能为空")
    private String accountName;

    @ApiModelProperty(value = "币种", required = true)
    @NotEmpty(message = "币种不能为空")
    private String currency;

    @ApiModelProperty(value = "银行名称", required = true)
    @NotEmpty(message = "银行名称不能为空")
    private String bankName;

    @ApiModelProperty(value = "银行账户", required = true)
    @NotEmpty(message = "银行账户不能为空")
    private String bankAccount;

    @ApiModelProperty(value = "银行代码")
    private String bankCode;

    @ApiModelProperty(value = "账户类型")
    private String accountType;

    @ApiModelProperty(value = "银行地址")
    private String bankAddress;

    /**
     * 是否展示 默认为展示
     */
    @ApiModelProperty(value = "是否显示，0显示，1不显示")
    private Integer status;
}
