package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 国外供应商详情 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 国外供应商详情 Response VO")
public class SupplierExternalBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("")
    @ApiModelProperty(value = "")
    private Long supplierId;

    @ExcelProperty("收货人公司名称")
    @ApiModelProperty(value = "收货人公司名称")
    private String receiveCompanyName;

    @ExcelProperty("收货人地址")
    @ApiModelProperty(value = "收货人地址")
    private String receiveAddress;

    @ExcelProperty("收货人电话")
    @ApiModelProperty(value = "收货人电话")
    private String receiveTel;

    @ExcelProperty("收货人邮箱")
    @ApiModelProperty(value = "收货人邮箱")
    private String receiveEmail;

    @ExcelProperty("通知方公司名称")
    @ApiModelProperty(value = "通知方公司名称")
    private String notifyCompanyName;

    @ExcelProperty("通知方地址")
    @ApiModelProperty(value = "通知方地址")
    private String notifyAddress;

    @ExcelProperty("通知方电话")
    @ApiModelProperty(value = "通知方电话")
    private String notifyTel;

    @ExcelProperty("通知方邮箱")
    @ApiModelProperty(value = "通知方邮箱")
    private String notifyEmail;

    @ExcelProperty("品名")
    @ApiModelProperty(value = "品名")
    private String goodName;

    @ApiModelProperty(value = "清关文件ID")
    private Long clearanceFileId;

    @ExcelProperty("清关国家")
    @ApiModelProperty(value = "清关国家")
    private Long clearanceCountry;

    @ExcelProperty("清关地区")
    @ApiModelProperty(value = "清关地区")
    private Long clearanceDistrict;

    @ExcelProperty("from no")
    @ApiModelProperty(value = "from no")
    private String fromNo;

    @ExcelProperty("ba no")
    @ApiModelProperty(value = "ba no")
    private String baNo;

    @ExcelProperty("包装数量")
    @ApiModelProperty(value = "包装数量")
    private String packNum;

    @ExcelProperty("包装单位")
    @ApiModelProperty(value = "包装单位")
    private String packUnit;

    @ExcelProperty("清关要求")
    @ApiModelProperty(value = "清关要求")
    private String clearanceRequire;

    @ExcelProperty("是否提供，1-提供，2-不提供")
    @ApiModelProperty(value = "是否提供，1-提供，2-不提供")
    private Integer provide;

    @ExcelProperty("合作不良等级记录")
    @ApiModelProperty(value = "合作不良等级记录")
    private String badCooperationRecord;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "CTN NO")
    private String ctnNo;


    @ApiModelProperty(value = "国家ID")
    private Long countryId;

    @ApiModelProperty(value = "TIN NO./RC NO.")
    private String tinNoRcNo;

}
