package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 国外供应商详情 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class SupplierExternalBaseVO {

    @ApiModelProperty(value = "")
    private Long supplierId;

    @ApiModelProperty(value = "收货人公司名称")
    private String receiveCompanyName;

    @ApiModelProperty(value = "收货人地址")
    private String receiveAddress;

    @ApiModelProperty(value = "收货人电话")
    private String receiveTel;

    @ApiModelProperty(value = "收货人邮箱")
    private String receiveEmail;

    @ApiModelProperty(value = "通知方公司名称")
    private String notifyCompanyName;

    @ApiModelProperty(value = "通知方地址")
    private String notifyAddress;

    @ApiModelProperty(value = "通知方电话")
    private String notifyTel;

    @ApiModelProperty(value = "通知方邮箱")
    private String notifyEmail;

    @ApiModelProperty(value = "品名")
    private String goodName;

    @ApiModelProperty(value = "清关文件ID")
    private Long clearanceFileId;

    @ApiModelProperty(value = "清关国家")
    private Long clearanceCountry;

    @ApiModelProperty(value = "清关地区")
    private Long clearanceDistrict;

    @ApiModelProperty(value = "from no")
    private String fromNo;

    @ApiModelProperty(value = "ba no")
    private String baNo;

    @ApiModelProperty(value = "包装数量")
    private String packNum;

    @ApiModelProperty(value = "包装单位,字典键值")
    private String packUnit;

    @ApiModelProperty(value = "清关要求")
    private String clearanceRequire;

    @ApiModelProperty(value = "是否提供，1-提供，2-不提供")
    private Integer provide;

    @ApiModelProperty(value = "合作不良等级记录")
    private String badCooperationRecord;


    @ApiModelProperty(value = "CTN NO")
    private String ctnNo;


    @ApiModelProperty(value = "国家ID")
    private Long countryId;

    @ApiModelProperty(value = "TIN NO./RC NO.")
    private String tinNoRcNo;

}
