package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 国外供应商详情查询 VO")
public class SupplierExternalQueryVO {

    @ApiModelProperty(value = "")
    private Long supplierId;

    @ApiModelProperty(value = "收货人公司名称")
    private String receiveCompanyName;

    @ApiModelProperty(value = "收货人地址")
    private String receiveAddress;

    @ApiModelProperty(value = "收货人电话")
    private String receiveTel;

    @ApiModelProperty(value = "收货人邮箱")
    private String receiveEmail;

    @ApiModelProperty(value = "通知方公司名称")
    private String notifyCompanyName;

    @ApiModelProperty(value = "通知方地址")
    private String notifyAddress;

    @ApiModelProperty(value = "通知方电话")
    private String notifyTel;

    @ApiModelProperty(value = "通知方邮箱")
    private String notifyEmail;

    @ApiModelProperty(value = "品名")
    private String goodName;

    @ApiModelProperty(value = "清关国家")
    private Long clearanceCountry;

    @ApiModelProperty(value = "清关地区")
    private Long clearanceDistrict;

    @ApiModelProperty(value = "from no")
    private String fromNo;

    @ApiModelProperty(value = "ba no")
    private String baNo;

    @ApiModelProperty(value = "包装数量")
    private Integer packNum;

    @ApiModelProperty(value = "包装单位")
    private Long packUnit;

    @ApiModelProperty(value = "清关要求")
    private String clearanceRequire;

    @ApiModelProperty(value = "是否提供，1-提供，2-不提供")
    private Integer provide;

    @ApiModelProperty(value = "合作不良等级记录")
    private String badCooperationRecord;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
