package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 国内供应商优质资源条件 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 国内供应商优质资源条件 Response VO")
public class SupplierResourceBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("供应商ID")
    @ApiModelProperty(value = "供应商ID")
    private Long supplierId;

    @ExcelProperty("优势船公司")
    @ApiModelProperty(value = "优势船公司")
    private String shipCompany;

    @ExcelProperty("船公司优势条件，字典ship_conditions")
    @ApiModelProperty(value = "船公司优势条件，字典ship_conditions")
    private String shipConditions;

    @ExcelProperty("优势港口")
    @ApiModelProperty(value = "优势港口")
    private String ports;

    @ExcelProperty("港口优势条件，字典port_conditions")
    @ApiModelProperty(value = "港口优势条件，字典port_conditions")
    private String portConditions;

    @ExcelProperty("订舱公司")
    @ApiModelProperty(value = "订舱公司")
    private String bookCompany;

    @ExcelProperty("订舱公司优势条件，字典book_conditions")
    @ApiModelProperty(value = "订舱公司优势条件，字典book_conditions")
    private String bookConditions;

    @ExcelProperty("拖车公司")
    @ApiModelProperty(value = "拖车公司")
    private String trailerCompany;

    @ExcelProperty("拖车公司优势条件，字典trailer_conditions")
    @ApiModelProperty(value = "拖车公司优势条件，字典trailer_conditions")
    private String trailerConditions;

    @ExcelProperty("报关公司")
    @ApiModelProperty(value = "报关公司")
    private String customsCompany;

    @ExcelProperty("报关公司优势条件，字典customs_conditions")
    @ApiModelProperty(value = "报关公司优势条件，字典customs_conditions")
    private String customsConditions;

    @ExcelProperty("证书公司")
    @ApiModelProperty(value = "证书公司")
    private String certificateCompany;

    @ExcelProperty("证书公司优质条件，字典certificate_conditions")
    @ApiModelProperty(value = "证书公司优质条件，字典certificate_conditions")
    private String certificateConditions;

    @ExcelProperty("合作不良等级记录")
    @ApiModelProperty(value = "合作不良等级记录")
    private String badCooperationRecord;

    @ApiModelProperty(value = "订舱公司，多个以逗号连接")
    private String bookCompanyAir;

    @ApiModelProperty(value = "订舱公司优势条件，字典book_conditions")
    private String bookConditionsAir;

    @ApiModelProperty(value = "报关公司，多个以逗号连接")
    private String customsCompanyAir;

    @ApiModelProperty(value = "报关公司优势条件，字典customs_conditions")
    private String customsConditionsAir;

    @ApiModelProperty(value = "证书公司，多个以逗号连接")
    private String certificateCompanyAir;

    @ApiModelProperty(value = "证书公司优质条件，字典certificate_conditions")
    private String certificateConditionsAir;

    @ApiModelProperty(value = "合作不良等级记录")
    private String badCooperationRecordAir;

    @ApiModelProperty(value = "优势航空公司,多个以逗号连接")
    private String airCompany;

    @ApiModelProperty(value = "航空公司公司优势条件，字典air_conditions")
    private String airConditions;

    @ApiModelProperty(value = "优势机场，多个以逗号连接")
    private String airdrome;

    @ApiModelProperty(value = "机场优势条件，字典airdrome_conditions")
    private String airdromeConditions;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "出证速度0快，1慢")
    private Integer certificateSpeed;

}
