package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource;

import lombok.*;
import io.swagger.annotations.*;
import org.checkerframework.checker.units.qual.A;

/**
* 国内供应商优质资源条件 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class SupplierResourceBaseVO {

    @ApiModelProperty(value = "供应商ID")
    private Long supplierId;

    @ApiModelProperty(value = "优势船公司,多个以逗号连接")
    private String shipCompany;

    @ApiModelProperty(value = "船公司优势条件，字典ship_conditions")
    private String shipConditions;

    @ApiModelProperty(value = "优势港口,多个以逗号连接")
    private String ports;

    @ApiModelProperty(value = "港口优势条件，字典port_conditions")
    private String portConditions;

    @ApiModelProperty(value = "订舱公司,多个以逗号连接")
    private String bookCompany;

    @ApiModelProperty(value = "订舱公司优势条件，字典book_conditions")
    private String bookConditions;

    @ApiModelProperty(value = "拖车公司,多个以逗号连接")
    private String trailerCompany;

    @ApiModelProperty(value = "拖车公司优势条件，字典trailer_conditions")
    private String trailerConditions;

    @ApiModelProperty(value = "报关公司,多个以逗号连接")
    private String customsCompany;

    @ApiModelProperty(value = "报关公司优势条件，字典customs_conditions")
    private String customsConditions;

    @ApiModelProperty(value = "证书公司,多个以逗号连接")
    private String certificateCompany;

    @ApiModelProperty(value = "证书公司优质条件，字典certificate_conditions")
    private String certificateConditions;

    @ApiModelProperty(value = "合作不良等级记录")
    private String badCooperationRecord;

    @ApiModelProperty(value = "订舱公司，多个以逗号连接")
    private String bookCompanyAir;

    @ApiModelProperty(value = "订舱公司优势条件，字典book_conditions")
    private String bookConditionsAir;

    @ApiModelProperty(value = "报关公司，多个以逗号连接")
    private String customsCompanyAir;

    @ApiModelProperty(value = "报关公司优势条件，字典customs_conditions")
    private String customsConditionsAir;

    @ApiModelProperty(value = "证书公司，多个以逗号连接")
    private String certificateCompanyAir;

    @ApiModelProperty(value = "证书公司优质条件，字典certificate_conditions")
    private String certificateConditionsAir;

    @ApiModelProperty(value = "合作不良等级记录")
    private String badCooperationRecordAir;

    @ApiModelProperty(value = "优势航空公司,多个以逗号连接")
    private String airCompany;

    @ApiModelProperty(value = "航空公司公司优势条件，字典air_conditions")
    private String airConditions;

    @ApiModelProperty(value = "优势机场，多个以逗号连接")
    private String airdrome;

    @ApiModelProperty(value = "机场优势条件，字典airdrome_conditions")
    private String airdromeConditions;


    @ApiModelProperty(value = "出证速度0快，1慢")
    private Integer certificateSpeed;

}
