package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 国内供应商优质资源条件查询 VO")
public class SupplierResourceQueryVO {

    @ApiModelProperty(value = "供应商ID")
    private Long supplierId;

    @ApiModelProperty(value = "优势船公司")
    private Long shipCompany;

    @ApiModelProperty(value = "船公司优势条件，字典ship_conditions")
    private String shipConditions;

    @ApiModelProperty(value = "优势港口")
    private Long port;

    @ApiModelProperty(value = "港口优势条件，字典port_conditions")
    private String portConditions;

    @ApiModelProperty(value = "订舱公司")
    private Long bookCompany;

    @ApiModelProperty(value = "订舱公司优势条件，字典book_conditions")
    private String bookConditions;

    @ApiModelProperty(value = "拖车公司")
    private Long trailerCompany;

    @ApiModelProperty(value = "拖车公司优势条件，字典trailer_conditions")
    private String trailerConditions;

    @ApiModelProperty(value = "报关公司")
    private Long customsCompany;

    @ApiModelProperty(value = "报关公司优势条件，字典customs_conditions")
    private String customsConditions;

    @ApiModelProperty(value = "证书公司")
    private Long certificateCompany;

    @ApiModelProperty(value = "证书公司优质条件，字典certificate_conditions")
    private String certificateConditions;

    @ApiModelProperty(value = "合作不良等级记录")
    private String badCooperationRecord;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
