package cn.iocoder.yudao.module.ecw.controller.app.currency;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.security.core.annotations.PreAuthenticated;
import cn.iocoder.yudao.module.ecw.controller.admin.currency.vo.*;
import cn.iocoder.yudao.module.ecw.convert.currency.CurrencyConvert;
import cn.iocoder.yudao.module.ecw.dal.dataobject.currency.CurrencyDO;
import cn.iocoder.yudao.module.ecw.service.currency.CurrencyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Api(tags = "app-web - 货币单位")
@RestController
@RequestMapping("/ecw/currency")
@Validated
public class AppCurrencyController {

    @Resource
    private CurrencyService currencyService;


    @GetMapping("/list")
    @ApiOperation("获得货币单位列表")
//    @PreAuthenticated
    public CommonResult<List<CurrencyRespVO>> getCurrencyList() {
        List<CurrencyDO> list = currencyService.getCurrencyList();
        return success(CurrencyConvert.INSTANCE.convertList(list));
    }



}
