package cn.iocoder.yudao.module.ecw.controller.app.unit;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.ecw.controller.admin.unit.vo.UnitRespVO;
import cn.iocoder.yudao.module.ecw.convert.unit.UnitConvert;
import cn.iocoder.yudao.module.ecw.dal.dataobject.unit.UnitDO;
import cn.iocoder.yudao.module.ecw.service.unit.UnitService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Api(tags = "app-web - 计量单位")
@RestController
@RequestMapping("/app/unit")
@Validated
public class AppUnitController {

    @Autowired
    private UnitService unitService;


    @GetMapping("/list")
    @ApiOperation("获得计量单位列表")
    public CommonResult<List<UnitRespVO>> getUnitList() {
        List<UnitDO> list = unitService.getUnitList();
        return success(UnitConvert.INSTANCE.convertList(list));
    }

}
