package cn.iocoder.yudao.module.ecw.convert.adminClient;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.vo.adminClient.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClient.AdminClientDO;

/**
 * 我的客户 Convert
 * @author 系统管理员
 */
@Mapper
public interface AdminClientConvert {
    /*****转换MapStruct*****/
    AdminClientConvert INSTANCE = Mappers.getMapper(AdminClientConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    AdminClientDO convert(AdminClientCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    AdminClientDO convert(AdminClientUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    AdminClientBackVO convert(AdminClientDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<AdminClientBackVO> convertList(List<AdminClientDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<AdminClientBackVO> convertPage(PageResult<AdminClientDO> page);
}
