package cn.iocoder.yudao.module.ecw.convert.adminClienta;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.vo.adminClienta.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClienta.AdminClientaDO;

/**
 * 我的供应商 Convert
 * @author 系统管理员
 */
@Mapper
public interface AdminClientaConvert {
    /*****转换MapStruct*****/
    AdminClientaConvert INSTANCE = Mappers.getMapper(AdminClientaConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    AdminClientaDO convert(AdminClientaCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    AdminClientaDO convert(AdminClientaUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    AdminClientaBackVO convert(AdminClientaDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<AdminClientaBackVO> convertList(List<AdminClientaDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<AdminClientaBackVO> convertPage(PageResult<AdminClientaDO> page);
}
