package cn.iocoder.yudao.module.ecw.convert.country;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.vo.country.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.country.CountryDO;

/**
 * 国家区号 Convert
 * @author yanghao
 */
@Mapper
public interface CountryConvert {
    /*****转换MapStruct*****/
    CountryConvert INSTANCE = Mappers.getMapper(CountryConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    CountryDO convert(CountryCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    CountryDO convert(CountryUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    CountryBackVO convert(CountryDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<CountryBackVO> convertList(List<CountryDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<CountryBackVO> convertPage(PageResult<CountryDO> page);
}
