package cn.iocoder.yudao.module.ecw.convert.exchangeRate;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.api.currency.dto.ExchangeRateRespDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.vo.exchangeRate.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.exchangeRate.ExchangeRateDO;

/**
 * 汇率管理 Convert
 * @author 系统管理员
 */
@Mapper
public interface ExchangeRateConvert {
    /*****转换MapStruct*****/
    ExchangeRateConvert INSTANCE = Mappers.getMapper(ExchangeRateConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ExchangeRateDO convert(ExchangeRateCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ExchangeRateDO convert(ExchangeRateUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ExchangeRateBackVO convert(ExchangeRateDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ExchangeRateBackVO> convertList(List<ExchangeRateDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ExchangeRateBackVO> convertPage(PageResult<ExchangeRateDO> page);

    /**
     * 转成
     * @param bean
     * @return
     */
    ExchangeRateRespDTO convert2(ExchangeRateDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ExchangeRateRespDTO> convertList2(List<ExchangeRateDO> list);

}
