package cn.iocoder.yudao.module.ecw.convert.exchangeRateLog;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.vo.exchangeRateLog.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.exchangeRateLog.ExchangeRateLogDO;

/**
 * 汇率变更记录 Convert
 * @author 系统管理员
 */
@Mapper
public interface ExchangeRateLogConvert {
    /*****转换MapStruct*****/
    ExchangeRateLogConvert INSTANCE = Mappers.getMapper(ExchangeRateLogConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ExchangeRateLogDO convert(ExchangeRateLogCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ExchangeRateLogDO convert(ExchangeRateLogUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ExchangeRateLogBackVO convert(ExchangeRateLogDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ExchangeRateLogBackVO> convertList(List<ExchangeRateLogDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ExchangeRateLogBackVO> convertPage(PageResult<ExchangeRateLogDO> page);
}
