package cn.iocoder.yudao.module.ecw.convert.internalMessage;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.api.internalMessage.dto.InternalMessageCreateDto;
import cn.iocoder.yudao.module.ecw.dal.dataobject.internalMessage.InternalMessageDO;
import cn.iocoder.yudao.module.ecw.vo.internalMessage.InternalMessageBackVO;
import cn.iocoder.yudao.module.ecw.vo.internalMessage.InternalMessageCreateReqVO;
import cn.iocoder.yudao.module.ecw.vo.internalMessage.InternalMessageUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 站内信 Convert
 * @author 系统管理员
 */
@Mapper
public interface InternalMessageConvert {
    /*****转换MapStruct*****/
    InternalMessageConvert INSTANCE = Mappers.getMapper(InternalMessageConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    InternalMessageDO convert(InternalMessageCreateReqVO bean);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    InternalMessageCreateReqVO convert(InternalMessageCreateDto bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    InternalMessageDO convert(InternalMessageUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    InternalMessageBackVO convert(InternalMessageDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<InternalMessageBackVO> convertList(List<InternalMessageDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<InternalMessageBackVO> convertPage(PageResult<InternalMessageDO> page);
}
