package cn.iocoder.yudao.module.ecw.convert.internalMessageTo;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.vo.internalMessageTo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.internalMessageTo.InternalMessageToDO;

/**
 * 站内信读取信息 Convert
 * @author 系统管理员
 */
@Mapper
public interface InternalMessageToConvert {
    /*****转换MapStruct*****/
    InternalMessageToConvert INSTANCE = Mappers.getMapper(InternalMessageToConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    InternalMessageToDO convert(InternalMessageToCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    InternalMessageToDO convert(InternalMessageToUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    InternalMessageToBackVO convert(InternalMessageToDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<InternalMessageToBackVO> convertList(List<InternalMessageToDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<InternalMessageToBackVO> convertPage(PageResult<InternalMessageToDO> page);
}
