package cn.iocoder.yudao.module.ecw.convert.ladingTemplate;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.controller.admin.ladingTemplate.vo.LadingTemplateBackVO;
import cn.iocoder.yudao.module.ecw.controller.admin.ladingTemplate.vo.LadingTemplateCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.ladingTemplate.vo.LadingTemplateUpdateReqVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.ladingTemplate.LadingTemplateDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 提单模板 Convert
 * @author 系统管理员
 */
@Mapper
public interface LadingTemplateConvert {
    /*****转换MapStruct*****/
    LadingTemplateConvert INSTANCE = Mappers.getMapper(LadingTemplateConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    LadingTemplateDO convert(LadingTemplateCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    LadingTemplateDO convert(LadingTemplateUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    LadingTemplateBackVO convert(LadingTemplateDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<LadingTemplateBackVO> convertList(List<LadingTemplateDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<LadingTemplateBackVO> convertPage(PageResult<LadingTemplateDO> page);
}
