package cn.iocoder.yudao.module.ecw.convert.supplier;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalBackVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalUpdateReqVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierExternalDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 国外供应商详情 Convert
 * @author wlh
 */
@Mapper
public interface SupplierExternalConvert {
    /*****转换MapStruct*****/
    SupplierExternalConvert INSTANCE = Mappers.getMapper(SupplierExternalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    SupplierExternalDO convert(SupplierExternalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    SupplierExternalDO convert(SupplierExternalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    SupplierExternalBackVO convert(SupplierExternalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<SupplierExternalBackVO> convertList(List<SupplierExternalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<SupplierExternalBackVO> convertPage(PageResult<SupplierExternalDO> page);
}
