package cn.iocoder.yudao.module.ecw.convert.supplier;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceBackVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceUpdateReqVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierResourceDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 国内供应商优质资源条件 Convert
 * @author wlh
 */
@Mapper
public interface SupplierResourceConvert {
    /*****转换MapStruct*****/
    SupplierResourceConvert INSTANCE = Mappers.getMapper(SupplierResourceConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    SupplierResourceDO convert(SupplierResourceCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    SupplierResourceDO convert(SupplierResourceUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    SupplierResourceBackVO convert(SupplierResourceDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<SupplierResourceBackVO> convertList(List<SupplierResourceDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<SupplierResourceBackVO> convertPage(PageResult<SupplierResourceDO> page);
}
