package cn.iocoder.yudao.module.ecw.dal.dataobject.cabinet;

import lombok.*;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 柜型配置 DO
 *
 * @author yanghao
 */
@TableName("ecw_cabinet")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CabinetDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 柜型名称
     */
    private String name;
    /**
     * 体积
     */
    private BigDecimal volume;
    /**
     * 重量
     */
    private BigDecimal weight;

    /**
     * 提单补料
     */
    private BigDecimal ladingBill;


    /**
     * 是否启用
     *
     * 枚举 {@link TODO common_status 对应的类}
     */
    private Integer status;
    /**
     * 排序
     */
    private Integer sort;

}
