package cn.iocoder.yudao.module.ecw.dal.dataobject.country;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 国家区号 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_country")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CountryDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 国家中文名称
     */
    private String nameZh;
    /**
     * 国家英文名称
     */
    private String nameEn;
    /**
     * 简称
     */
    private String nameShort;
    /**
     * 电话区号
     */
    private String tel;

    /**
     * 排序
     */
    private Integer sort;

}
