package cn.iocoder.yudao.module.ecw.dal.dataobject.currency;

import lombok.*;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 货币单位 DO
 *
 * @author brian
 */
@TableName("ecw_currency")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CurrencyDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Integer id;
    /**
     * 中文名称
     */
    private String titleZh;
    /**
     * 英文名称
     */
    private String titleEn;
    /**
     * 货币符号
     */
    private String fuhao;
    /**
     * 是否展示0为展示,1为不展示
     *
     * 枚举 {@link TODO common_status 对应的类}
     */
    private Integer status;
    /**
     * 100外币兑人民币汇率

     */
    private BigDecimal huilv;
    /**
     * 100人民币兑外币汇率

     */
    private BigDecimal exchangeToFc;
    /**
     * 排序
     */
    private Integer aorder;


}
