package cn.iocoder.yudao.module.ecw.dal.dataobject.currencyEcash;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * E-Cash汇率单位 DO
 *
 * @author 久点源码
 */
@TableName("ecw_currency_ecash")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CurrencyEcashDO extends BaseDO {

    @TableId
    private Integer id;
    /**
     * 中文名称
     */
    private String titleZh;
    /**
     * 英文名称
     */
    private String titleEn;
    /**
     * 货币符号
     */
    private String fuhao;
    /**
     * 是否展示0为展示,1为不展示

     */
    private Integer status;
    /**
     * 汇率

     */
    private Double huilv;
    /**
     * 排序
     */
    private Integer aorder;

    private BigDecimal fromFee;

    private Integer fromCurrency;

    private BigDecimal toFee;

    private Integer toCurrency;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date nrlyStartTime;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date nrlyEndTime;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date bjStartTime;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date bjEndTime;

    private String remark;

}
