package cn.iocoder.yudao.module.ecw.dal.dataobject.dock;

import cn.iocoder.yudao.framework.common.util.spring.enums.CommonStatusEnum;
import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 码头信息 DO
 *
 * @author wlh
 */
@TableName("ecw_dock")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DockDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 中文名称
     */
    private String titleZh;
    /**
     * 英文名称
     */
    private String titleEn;
    /**
     * 排序
     */
    private Integer sort;

    /**
     * 数据来源(pc端，mobile端)
     */
    private String source;
    /**
     * 国家id
     */
    private Long countryId;
    /**
     * 国家中文名称
     */
    private String countryZh;
    /**
     * 国家英文名称
     */
    private String countryEn;
    /**
     * 省id
     */
    private Long provinceId;
    /**
     * 省中文名称
     */
    private String provinceZh;
    /**
     * 省英文名称
     */
    private String provinceEn;
    /**
     * 市id
     */
    private Long cityId;
    /**
     * 市中文名称
     */
    private String cityZh;
    /**
     * 市英文名称
     */
    private String cityEn;
    /**
     * 港口类型
     */
    private String portType;
    /**
     * 码头编号
     */
    private String number;
    /**
     * 码头类型
     */
    private String type;
    /**
     * 0显示 1不显示
     *
     * 枚举 {@link CommonStatusEnum 对应的类}
     */
    private Integer status;

}
