package cn.iocoder.yudao.module.ecw.dal.dataobject.enterprise;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 企业设置 DO
 *
 * @author 系统管理员
 */
@TableName("ecw_enterprise")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EnterpriseDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;

    /**
     * 中文LOGO
     */
    private String logoZh;
    /**
     * 英文LOGO
     */
    private String logoEn;
    /**
     * 标题中文
     */
    private String titleZh;
    /**
     * 标题英文
     */
    private String titleEn;
    /**
     * 关键字中文
     */
    private String keywordZh;
    /**
     * 关键字英文
     */
    private String keywordEn;
    /**
     * 描述中文
     */
    private String describeZh;
    /**
     * 描述英文
     */
    private String describeEn;
    /**
     * 地址中文
     */
    private String addressZh;
    /**
     * 地址英文
     */
    private String addressEn;
    /**
     * 免费咨询中文
     */
    private String freeConsultationZh;
    /**
     * 免费咨询英文
     */
    private String freeConsultationEn;
    /**
     * 客服电话中文
     */
    private String customerTelZh;
    /**
     * 客服电话英文
     */
    private String customerTelEn;
    /**
     * 联系电话中文
     */
    private String contactTelZh;
    /**
     * 联系电话英文
     */
    private String contactTelEn;
    /**
     * 邮箱中文
     */
    private String mailboxZh;
    /**
     * 邮箱英文
     */
    private String mailboxEn;
    /**
     * 版权信息中文
     */
    private String copyrightInfoZh;
    /**
     * 版权信息英文
     */
    private String copyrightInfoEn;
    /**
     * 企业微信中文
     */
    private String enterpriseWechatZh;
    /**
     * 企业微信英文
     */
    private String enterpriseWechatEn;

}
