package cn.iocoder.yudao.module.ecw.dal.dataobject.exchangeRate;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 汇率管理 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_exchange_rate")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ExchangeRateDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 原币种
     * <p>
     * 枚举 {@link TODO system_user_sex 对应的类}
     */
    private Long sourceCurrencyId;
    /**
     * 原币种代码
     */
    private String sourceCurrencyCode;
    /**
     * 目标币种
     * <p>
     * 枚举 {@link TODO system_user_sex 对应的类}
     */
    private Long targetCurrencyId;
    /**
     * 目标种代码
     */
    private String targetCurrencyCode;
    /**
     * 汇率
     */
    private java.math.BigDecimal currencyRate;
    /**
     * 备注
     */
    private String note;
    /**
     * 有效截止日期
     */
    private Date expireDate;

}
