package cn.iocoder.yudao.module.ecw.dal.dataobject.exchangeRateLog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 汇率变更记录 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_exchange_rate_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ExchangeRateLogDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 变更人
     */
    private String changeName;
    /**
     * 汇率ID
     * <p>
     * 枚举 {@link TODO system_user_sex 对应的类}
     */
    private Long rateId;
    /**
     * 变更时间
     */
    private Date changeTime;

    private String beforeChangeSourceValue;

    private String afterChangeSourceValue;

    private String beforeChangeTargetValue;

    private String afterChangeTargetValue;

    /**
     * 变更前的值
     * <p>
     * 枚举 {@link TODO system_user_sex 对应的类}
     */
    private String beforeChangeValue;
    /**
     * 变更后的值
     * <p>
     * 枚举 {@link TODO system_user_sex 对应的类}
     */
    private String afterChangeValue;

}
