package cn.iocoder.yudao.module.ecw.dal.dataobject.ladingTemplate;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 提单模板 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_lading_template")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LadingTemplateDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 货柜前缀
     */
    private String prefixCounter;
    /**
     * 账户详情
     */
    private String account;
    /**
     * 抬头中文
     */
    private String titleZh;
    /**
     * 抬头英文
     */
    private String titleEn;
    /**
     * 条款中文
     */
    private String contentZh;
    /**
     * 条款英语
     */
    private String contentEn;
    /**
     * 0-启用,1-停用
     */
    private Integer status;

    /**
     * 路线ID
     */
    private String lineId;
}
