package cn.iocoder.yudao.module.ecw.dal.dataobject.messageLeave;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 留言 DO
 *
 * @author yanghao
 */
@TableName("ecw_message_leave")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MessageLeaveDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 姓名
     */
    private String name;
    /**
     * 联系方式
     */
    private String phone;
    /**
     * 订单号
     */
    private String orderCode;
    /**
     * 留言内容
     */
    private String content;

    /**
     * 留言标题
     */
    private String title;
    /**
     * 咨询类型 1-咨询 2-建议
     *
     * 枚举 {@link TODO ecw_message_leave_type 对应的类}
     */
    private Integer type;
    /**
     * 状态 1-待回复 2-已回复
     *
     * 枚举 {@link TODO ecw_message_leave_status 对应的类}
     */
    private Integer status;
    /**
     * 回复人
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long replyUserId;
    /**
     * 回复内容
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String replyContent;
    /**
     * 回复时间
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Date replyTime;

}
