package cn.iocoder.yudao.module.ecw.dal.dataobject.node;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 服务网点 DO
 *
 * @author wlh
 */
@TableName("ecw_node")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class NodeDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 站点编号
     */
    private String number;
    /**
     * 洲
     */
    private Long zhou;
    /**
     * 国家
     */
    private Long guojia;
    /**
     * 省
     */
    private Long sheng;
    /**
     * 市
     */
    private Long shi;
    /**
     * 中文标题
     */
    private String titleZh;
    /**
     * 英文标题
     */
    private String titleEn;
    /**
     * 图片地址
     */
    private String img;
    /**
     * 中文副标题
     */
    private String titlesZh;
    /**
     * 英文副标题
     */
    private String titlesEn;
    /**
     * 中文关键词
     */
    private String keywordsZh;
    /**
     * 英文关键词
     */
    private String keywordsEn;
    /**
     * 中文描述信息
     */
    private String descriptionZh;
    /**
     * 英文描述信息
     */
    private String descriptionEn;
    /**
     * 中文网点详情
     */
    private String contentZh;
    /**
     * 英文网点详情
     */
    private String contentEn;
    /**
     * 中文网点地址
     */
    private String addressZh;
    /**
     * 英文网点地址
     */
    private String addressEn;
    /**
     * 字典:region_trade_type，0进出口；1只进口；2只出口
     */
    private String tradeType;
    /**
     * 运输方式id，多个用逗号隔开
     */
    private String freight;
    /**
     * 上班时间
     */
    private String worktime;
    /**
     * 负责人的用户id
     */
    private Long adminId;

    /**
     * 负责人的姓名
     */
    @TableField(exist = false)
    private String adminName;

    /**
     * 排序
     */
    private Integer aorder;
    /**
     * 是否展示 默认显示
     */
    private Integer status;

}
