package cn.iocoder.yudao.module.ecw.dal.dataobject.supplier;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 供应商 DO
 *
 * @author wlh
 */
@TableName("ecw_supplier")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 公司名称
     */
    private String companyZh;
    /**
     * 英文名称
     */
    private String companyEn;
    /**
     * 供应商代码
     */
    private String companyCode;
    /**
     * 代理商名称
     */
    private String agentName;
    /**
     * 公司电话
     */
    private String tell;
    /**
     * 国家
     */
    private Long country;
    /**
     * 省
     */
    private Long province;
    /**
     * 市
     */
    private Long city;
    /**
     * 详细地址
     */
    private String area;
    /**
     * 省市区+详细地址
     */
    private String address;
    /**
     * 备注
     */
    private String remark;
    /**
     * 供应商类别
     */
    private String companyType;
    /**
     * 合作类型
     */
    private Integer cooperationType;
    /**
     * 营业执照
     */
    private String license;
    /**
     * 合同
     */
    private String contract;
    /**
     * 社会信用统一代码
     */
    private String licenseNumber;


    private Date cooperationDateStart;

    private Date cooperationDateEnd;

    private String email;


    /**
     * 是否展示 默认为展示
     */
    private Integer status;

    /**
     * 0-供應商，1-提單托運人
     */
    private Integer type;

    /**
     * 0-國内供應商，1-國外供應商
     */
    private Integer areaType;

    /**
     * 结算周期，字典settlement_period
     */
    private Integer settlementPeriod;

    /**
     * 价格优势，字典price_advantage
     */
    private Integer priceAdvantage;

    /**
     * 供应商公司竞争，0-关闭，1-开启
     */
    private Integer companyCompete;

    /**
     * 竞争渠道，1-海运，2-空运
     */
    private Integer competeChannel;

    /**
     * 供应商港口码头id列表，多个以逗号连接
     */
    private String dockIds;
}
