package cn.iocoder.yudao.module.ecw.dal.dataobject.supplier;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 国外供应商详情 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_supplier_external")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SupplierExternalDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 
     */
    private Long supplierId;
    /**
     * 收货人公司名称
     */
    private String receiveCompanyName;
    /**
     * 收货人地址
     */
    private String receiveAddress;
    /**
     * 收货人电话
     */
    private String receiveTel;
    /**
     * 收货人邮箱
     */
    private String receiveEmail;
    /**
     * 通知方公司名称
     */
    private String notifyCompanyName;
    /**
     * 通知方地址
     */
    private String notifyAddress;
    /**
     * 通知方电话
     */
    private String notifyTel;
    /**
     * 通知方邮箱
     */
    private String notifyEmail;
    /**
     * 品名
     */
    private String goodName;

    /**
     * 清关文件ID
     */
    private Long clearanceFileId;

    /**
     * 清关国家
     */
    private Long clearanceCountry;
    /**
     * 清关地区
     */
    private Long clearanceDistrict;
    /**
     * from no
     */
    private String fromNo;
    /**
     * ba no
     */
    private String baNo;
    /**
     * 包装数量
     */
    private String packNum;
    /**
     * 包装单位
     */
    private String packUnit;
    /**
     * 清关要求
     */
    private String clearanceRequire;
    /**
     * 是否提供，1-提供，2-不提供
     */
    private Integer provide;
    /**
     * 合作不良等级记录
     */
    private String badCooperationRecord;


    /**
     * CTN NO
     */
    private String ctnNo;

    /**
     * 国家ID
     */
    private Long countryId;

    /**
     * TIN NO./RC NO.
     */
    private String tinNoRcNo;

}
