package cn.iocoder.yudao.module.ecw.dal.dataobject.supplier;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 国内供应商优质资源条件 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_supplier_resource")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SupplierResourceDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 供应商ID
     */
    private Long supplierId;
    /**
     * 优势船公司,多个以逗号连接
     */
    private String shipCompany;
    /**
     * 船公司优势条件，字典ship_conditions
     */
    private String shipConditions;
    /**
     * 优势港口，多个以逗号连接
     */
    private String ports;
    /**
     * 港口优势条件，字典port_conditions
     */
    private String portConditions;
    /**
     * 订舱公司，多个以逗号连接
     */
    private String bookCompany;
    /**
     * 订舱公司优势条件，字典book_conditions
     */
    private String bookConditions;
    /**
     * 拖车公司，多个以逗号连接
     */
    private String trailerCompany;
    /**
     * 拖车公司优势条件，字典trailer_conditions
     */
    private String trailerConditions;
    /**
     * 报关公司，多个以逗号连接
     */
    private String customsCompany;
    /**
     * 报关公司优势条件，字典customs_conditions
     */
    private String customsConditions;
    /**
     * 证书公司，多个以逗号连接
     */
    private String certificateCompany;
    /**
     * 证书公司优质条件，字典certificate_conditions
     */
    private String certificateConditions;
    /**
     * 合作不良等级记录
     */
    private String badCooperationRecord;

    /**
     * 订舱公司，多个以逗号连接
     */
    private String bookCompanyAir;

    /**
     * 订舱公司优势条件，字典book_conditions
     */
    private String bookConditionsAir;

    /**
     * 报关公司，多个以逗号连接
     */
    private String customsCompanyAir;

    /**
     * 报关公司优势条件，字典customs_conditions
     */
    private String customsConditionsAir;

    /**
     * 证书公司，多个以逗号连接
     */
    private String certificateCompanyAir;

    /**
     * 证书公司优质条件，字典certificate_conditions
     */
    private String certificateConditionsAir;

    /**
     * 合作不良等级记录
     */
    private String badCooperationRecordAir;

    /**
     * 优势航空公司,多个以逗号连接
     */
    private String airCompany;

    /**
     * 航空公司公司优势条件，字典air_conditions
     */
    private String airConditions;

    /**
     * 优势机场，多个以逗号连接
     */
    private String airdrome;

    /**
     * 机场优势条件，字典airdrome_conditions
     */
    private String airdromeConditions;

    /**
     * 出证速度0快，1慢
     */
    private Integer certificateSpeed;

}
