package cn.iocoder.yudao.module.ecw.dal.mysql.adminClient;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClient.AdminClientDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.commons.lang3.StringUtils;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.vo.adminClient.*;

/**
 * 我的客户 Mapper
 * @author 系统管理员
 */
@Mapper
public interface AdminClientMapper extends AbstractMapper<AdminClientDO> {
    @Override
    default PageResult<AdminClientDO> selectPage(PageVO page, Object object) {
        if (object instanceof AdminClientQueryVO) {
            AdminClientQueryVO vo = (AdminClientQueryVO)object;
            return selectPage(page, new LambdaQuery<AdminClientDO>()
                .eqIfPresent(AdminClientDO::getPid, vo.getPid())
                .eqIfPresent(AdminClientDO::getUid, vo.getUid())
                .eqIfPresent(AdminClientDO::getAorder, vo.getAorder())
                .likeIfPresent(AdminClientDO::getName, vo.getName())
                .likeIfPresent(AdminClientDO::getName, vo.getNameEn())
                .eqIfPresent(AdminClientDO::getCompany, vo.getCompany())
                .eqIfPresent(AdminClientDO::getCompanyEn, vo.getCompanyEn())
                .eqIfPresent(AdminClientDO::getMaitou, vo.getMaitou())
                .eqIfPresent(AdminClientDO::getPhone, vo.getPhone())
                .eqIfPresent(AdminClientDO::getEmail, vo.getEmail())
                .eqIfPresent(AdminClientDO::getAddress, vo.getAddress())
                .eqIfPresent(AdminClientDO::getIso2, vo.getIso2())
                .eqIfPresent(AdminClientDO::getDialCode, vo.getDialCode())
                .betweenIfPresent(AdminClientDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .apply(StringUtils.isNotEmpty(vo.getSearchKey()), "CONCAT(IFNULL(`name`,''), IFNULL(`name_en`,''), IFNULL(`dial_code`,''), IFNULL(`phone`,''), IFNULL(`email`,''), IFNULL(`company`,''),IFNULL(`company_en`,'')) like concat('%', {0}, '%')", vo.getSearchKey())
                .orderByDesc(AdminClientDO::getId));
        }

        return null;
    }

    @Override
    default List<AdminClientDO> selectList(Object object) {
        if (object instanceof AdminClientQueryVO) {
            AdminClientQueryVO vo = (AdminClientQueryVO)object;
            return selectList(new LambdaQuery<AdminClientDO>()
                .eqIfPresent(AdminClientDO::getPid, vo.getPid())
                .eqIfPresent(AdminClientDO::getUid, vo.getUid())
                .eqIfPresent(AdminClientDO::getAorder, vo.getAorder())
                .likeIfPresent(AdminClientDO::getName, vo.getName())
                .likeIfPresent(AdminClientDO::getNameEn, vo.getNameEn())
                .eqIfPresent(AdminClientDO::getCompany, vo.getCompany())
                .eqIfPresent(AdminClientDO::getCompanyEn, vo.getCompanyEn())
                .eqIfPresent(AdminClientDO::getMaitou, vo.getMaitou())
                .eqIfPresent(AdminClientDO::getPhone, vo.getPhone())
                .eqIfPresent(AdminClientDO::getEmail, vo.getEmail())
                .eqIfPresent(AdminClientDO::getAddress, vo.getAddress())
                .eqIfPresent(AdminClientDO::getIso2, vo.getIso2())
                .eqIfPresent(AdminClientDO::getDialCode, vo.getDialCode())
                .betweenIfPresent(AdminClientDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(AdminClientDO::getId));
        }

        return null;
    }
}
