package cn.iocoder.yudao.module.ecw.dal.mysql.adminClientType;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClientType.AdminClientTypeDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.vo.adminClientType.*;

/**
 * 我的客户分组 Mapper
 * @author 系统管理员
 */
@Mapper
public interface AdminClientTypeMapper extends AbstractMapper<AdminClientTypeDO> {
    @Override
    default PageResult<AdminClientTypeDO> selectPage(PageVO page, Object object) {
        if (object instanceof AdminClientTypeQueryVO) {
            AdminClientTypeQueryVO vo = (AdminClientTypeQueryVO)object;
            return selectPage(page, new LambdaQuery<AdminClientTypeDO>()
                .eqIfPresent(AdminClientTypeDO::getUid, vo.getUid())
                .eqIfPresent(AdminClientTypeDO::getAorder, vo.getAorder())
                .eqIfPresent(AdminClientTypeDO::getTitle, vo.getTitle())
                .eqIfPresent(AdminClientTypeDO::getBeizhu, vo.getBeizhu())
                .betweenIfPresent(AdminClientTypeDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(AdminClientTypeDO::getId));
        }

        return null;
    }

    @Override
    default List<AdminClientTypeDO> selectList(Object object) {
        if (object instanceof AdminClientTypeQueryVO) {
            AdminClientTypeQueryVO vo = (AdminClientTypeQueryVO)object;
            return selectList(new LambdaQuery<AdminClientTypeDO>()
                .eqIfPresent(AdminClientTypeDO::getUid, vo.getUid())
                .eqIfPresent(AdminClientTypeDO::getAorder, vo.getAorder())
                .eqIfPresent(AdminClientTypeDO::getTitle, vo.getTitle())
                .eqIfPresent(AdminClientTypeDO::getBeizhu, vo.getBeizhu())
                .betweenIfPresent(AdminClientTypeDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(AdminClientTypeDO::getId));
        }

        return null;
    }
}
