package cn.iocoder.yudao.module.ecw.dal.mysql.adminClienta;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClienta.AdminClientaDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.vo.adminClienta.*;

/**
 * 我的供应商 Mapper
 * @author 系统管理员
 */
@Mapper
public interface AdminClientaMapper extends AbstractMapper<AdminClientaDO> {
    @Override
    default PageResult<AdminClientaDO> selectPage(PageVO page, Object object) {
        if (object instanceof AdminClientaQueryVO) {
            AdminClientaQueryVO vo = (AdminClientaQueryVO)object;
            return selectPage(page, new LambdaQuery<AdminClientaDO>()
                .eqIfPresent(AdminClientaDO::getPid, vo.getPid())
                .eqIfPresent(AdminClientaDO::getUid, vo.getUid())
                .eqIfPresent(AdminClientaDO::getAorder, vo.getAorder())
                .likeIfPresent(AdminClientaDO::getName, vo.getName())
                .eqIfPresent(AdminClientaDO::getCompany, vo.getCompany())
                .eqIfPresent(AdminClientaDO::getMaitou, vo.getMaitou())
                .eqIfPresent(AdminClientaDO::getPhone, vo.getPhone())
                .eqIfPresent(AdminClientaDO::getEmail, vo.getEmail())
                .eqIfPresent(AdminClientaDO::getAddress, vo.getAddress())
                .betweenIfPresent(AdminClientaDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(AdminClientaDO::getId));
        }

        return null;
    }

    @Override
    default List<AdminClientaDO> selectList(Object object) {
        if (object instanceof AdminClientaQueryVO) {
            AdminClientaQueryVO vo = (AdminClientaQueryVO)object;
            return selectList(new LambdaQuery<AdminClientaDO>()
                .eqIfPresent(AdminClientaDO::getPid, vo.getPid())
                .eqIfPresent(AdminClientaDO::getUid, vo.getUid())
                .eqIfPresent(AdminClientaDO::getAorder, vo.getAorder())
                .likeIfPresent(AdminClientaDO::getName, vo.getName())
                .eqIfPresent(AdminClientaDO::getCompany, vo.getCompany())
                .eqIfPresent(AdminClientaDO::getMaitou, vo.getMaitou())
                .eqIfPresent(AdminClientaDO::getPhone, vo.getPhone())
                .eqIfPresent(AdminClientaDO::getEmail, vo.getEmail())
                .eqIfPresent(AdminClientaDO::getAddress, vo.getAddress())
                .betweenIfPresent(AdminClientaDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(AdminClientaDO::getId));
        }

        return null;
    }
}
