package cn.iocoder.yudao.module.ecw.dal.mysql.adminClientaType;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClientaType.AdminClientaTypeDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.vo.adminClientaType.*;

/**
 * 我的供应商分组 Mapper
 * @author 系统管理员
 */
@Mapper
public interface AdminClientaTypeMapper extends AbstractMapper<AdminClientaTypeDO> {
    @Override
    default PageResult<AdminClientaTypeDO> selectPage(PageVO page, Object object) {
        if (object instanceof AdminClientaTypeQueryVO) {
            AdminClientaTypeQueryVO vo = (AdminClientaTypeQueryVO)object;
            return selectPage(page, new LambdaQuery<AdminClientaTypeDO>()
                .eqIfPresent(AdminClientaTypeDO::getUid, vo.getUid())
                .eqIfPresent(AdminClientaTypeDO::getAorder, vo.getAorder())
                .eqIfPresent(AdminClientaTypeDO::getTitle, vo.getTitle())
                .eqIfPresent(AdminClientaTypeDO::getBeizhu, vo.getBeizhu())
                .betweenIfPresent(AdminClientaTypeDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(AdminClientaTypeDO::getId));
        }

        return null;
    }

    @Override
    default List<AdminClientaTypeDO> selectList(Object object) {
        if (object instanceof AdminClientaTypeQueryVO) {
            AdminClientaTypeQueryVO vo = (AdminClientaTypeQueryVO)object;
            return selectList(new LambdaQuery<AdminClientaTypeDO>()
                .eqIfPresent(AdminClientaTypeDO::getUid, vo.getUid())
                .eqIfPresent(AdminClientaTypeDO::getAorder, vo.getAorder())
                .eqIfPresent(AdminClientaTypeDO::getTitle, vo.getTitle())
                .eqIfPresent(AdminClientaTypeDO::getBeizhu, vo.getBeizhu())
                .betweenIfPresent(AdminClientaTypeDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(AdminClientaTypeDO::getId));
        }

        return null;
    }
}
