package cn.iocoder.yudao.module.ecw.dal.mysql.bankAccount;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.util.MyBatisUtils;
import cn.iocoder.yudao.module.ecw.dal.dataobject.bankAccount.BankAccountDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.bankAccount.vo.*;

/**
 * 银行账户 Mapper
 *
 * @author 久点源码
 */
@Mapper
public interface BankAccountMapper extends BaseMapperX<BankAccountDO> {

    default PageResult<BankAccountDO> selectPage(BankAccountPageReqVO reqVO) {
        // MyBatis Plus 查询
        IPage<BankAccountDO> mpPage = MyBatisUtils.buildPage(reqVO);
        selectPage(mpPage,  new LambdaQueryWrapperX<BankAccountDO>()
                .likeIfPresent(BankAccountDO::getBaAccountName, reqVO.getBaAccountName())
                .likeIfPresent(BankAccountDO::getBaBankName, reqVO.getBaBankName())
                .eqIfPresent(BankAccountDO::getBaAccountNum, reqVO.getBaAccountNum())
                .eqIfPresent(BankAccountDO::getBaSwiftCode, reqVO.getBaSwiftCode())
                .likeIfPresent(BankAccountDO::getBaBankAdd, reqVO.getBaBankAdd())
                .eqIfPresent(BankAccountDO::getBaType, reqVO.getBaType())
//                .eqIfPresent(BankAccountDO::getSource, reqVO.getSource())
                .eqIfPresent(BankAccountDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(BankAccountDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(BankAccountDO::getId));
        // 转换返回
        return new PageResult<>(mpPage.getRecords(), mpPage.getTotal(),mpPage.getSize(),mpPage.getCurrent(),mpPage.getPages());
    }

    default List<BankAccountDO> selectList(BankAccountExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<BankAccountDO>()
                .likeIfPresent(BankAccountDO::getBaAccountName, reqVO.getBaAccountName())
                .likeIfPresent(BankAccountDO::getBaBankName, reqVO.getBaBankName())
                .eqIfPresent(BankAccountDO::getBaAccountNum, reqVO.getBaAccountNum())
                .eqIfPresent(BankAccountDO::getBaSwiftCode, reqVO.getBaSwiftCode())
                .likeIfPresent(BankAccountDO::getBaBankAdd, reqVO.getBaBankAdd())
                .eqIfPresent(BankAccountDO::getBaType, reqVO.getBaType())
//                .eqIfPresent(BankAccountDO::getSource, reqVO.getSource())
                .eqIfPresent(BankAccountDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(BankAccountDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(BankAccountDO::getId));
    }

}
