package cn.iocoder.yudao.module.ecw.dal.mysql.busiPwd;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.busiPwd.BusiPwdDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.busiPwd.vo.*;

/**
 * 业务密码 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface BusiPwdMapper extends BaseMapperX<BusiPwdDO> {

    default PageResult<BusiPwdDO> selectPage(BusiPwdPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<BusiPwdDO>()
                .eqIfPresent(BusiPwdDO::getBusiType, reqVO.getBusiType())
                .eqIfPresent(BusiPwdDO::getPwd, reqVO.getPwd())
                .betweenIfPresent(BusiPwdDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(BusiPwdDO::getId));
    }

    default List<BusiPwdDO> selectList(BusiPwdExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<BusiPwdDO>()
                .eqIfPresent(BusiPwdDO::getBusiType, reqVO.getBusiType())
                .eqIfPresent(BusiPwdDO::getPwd, reqVO.getPwd())
                .betweenIfPresent(BusiPwdDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(BusiPwdDO::getId));
    }

}
