package cn.iocoder.yudao.module.ecw.dal.mysql.cabinet;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.cabinet.CabinetDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.cabinet.vo.*;

/**
 * 柜型配置 Mapper
 *
 * @author yanghao
 */
@Mapper
public interface CabinetMapper extends BaseMapperX<CabinetDO> {

    default PageResult<CabinetDO> selectPage(CabinetPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CabinetDO>()
                .likeIfPresent(CabinetDO::getName, reqVO.getName())
                .eqIfPresent(CabinetDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(CabinetDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(CabinetDO::getSort));
    }

    default List<CabinetDO> selectList(CabinetExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<CabinetDO>()
                .likeIfPresent(CabinetDO::getName, reqVO.getName())
                .eqIfPresent(CabinetDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(CabinetDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(CabinetDO::getSort));
    }

}
