package cn.iocoder.yudao.module.ecw.dal.mysql.clearanceFileNo;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.clearanceFileNo.ClearanceFileNoDO;
import cn.iocoder.yudao.module.ecw.vo.clearanceFileNo.ClearanceFileNoQueryVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 清关文件号码 Mapper
 * @author wlh
 */
@Mapper
public interface ClearanceFileNoMapper extends AbstractMapper<ClearanceFileNoDO> {
    @Override
    default PageResult<ClearanceFileNoDO> selectPage(PageVO page, Object object) {
        if (object instanceof ClearanceFileNoQueryVO) {
            ClearanceFileNoQueryVO vo = (ClearanceFileNoQueryVO)object;
            return selectPage(page, new LambdaQuery<ClearanceFileNoDO>()
                .eqIfPresent(ClearanceFileNoDO::getCountry, vo.getCountry())
                .eqIfPresent(ClearanceFileNoDO::getDistrict, vo.getDistrict())
                .eqIfPresent(ClearanceFileNoDO::getFromNo, vo.getFromNo())
                .eqIfPresent(ClearanceFileNoDO::getBaNo, vo.getBaNo())
                .eqIfPresent(ClearanceFileNoDO::getStatus, vo.getStatus())
                .betweenIfPresent(ClearanceFileNoDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ClearanceFileNoDO::getId));
        }

        return null;
    }

    @Override
    default List<ClearanceFileNoDO> selectList(Object object) {
        if (object instanceof ClearanceFileNoQueryVO) {
            ClearanceFileNoQueryVO vo = (ClearanceFileNoQueryVO)object;
            return selectList(new LambdaQuery<ClearanceFileNoDO>()
                .eqIfPresent(ClearanceFileNoDO::getCountry, vo.getCountry())
                .eqIfPresent(ClearanceFileNoDO::getDistrict, vo.getDistrict())
                .eqIfPresent(ClearanceFileNoDO::getFromNo, vo.getFromNo())
                .eqIfPresent(ClearanceFileNoDO::getBaNo, vo.getBaNo())
                .eqIfPresent(ClearanceFileNoDO::getStatus, vo.getStatus())
                .betweenIfPresent(ClearanceFileNoDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ClearanceFileNoDO::getId));
        }

        return null;
    }
}
