package cn.iocoder.yudao.module.ecw.dal.mysql.country;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.ecw.dal.dataobject.country.CountryDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.vo.country.*;

/**
 * 国家区号 Mapper
 * @author yanghao
 */
@Mapper
public interface CountryMapper extends AbstractMapper<CountryDO> {
    @Override
    default PageResult<CountryDO> selectPage(PageVO page, Object object) {
        if (object instanceof CountryQueryVO) {
            CountryQueryVO vo = (CountryQueryVO)object;
            return selectPage(page, new LambdaQuery<CountryDO>()
                .likeIfPresent(CountryDO::getNameZh, vo.getNameZh())
                .likeIfPresent(CountryDO::getNameEn, vo.getNameEn())
                .likeIfPresent(CountryDO::getNameShort, vo.getNameShort())
                .likeIfPresent(CountryDO::getTel, vo.getTel())
                .betweenIfPresent(CountryDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(CountryDO::getSort));
        }

        return null;
    }

    @Override
    default List<CountryDO> selectList(Object object) {
        if (object instanceof CountryQueryVO) {
            CountryQueryVO vo = (CountryQueryVO)object;
            return selectList(new LambdaQuery<CountryDO>()
                .likeIfPresent(CountryDO::getNameZh, vo.getNameZh())
                .likeIfPresent(CountryDO::getNameEn, vo.getNameEn())
                .likeIfPresent(CountryDO::getNameShort, vo.getNameShort())
                .likeIfPresent(CountryDO::getTel, vo.getTel())
                .betweenIfPresent(CountryDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(CountryDO::getSort));
        }

        return null;
    }
}
