package cn.iocoder.yudao.module.ecw.dal.mysql.currency;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.currency.CurrencyDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.currency.vo.*;

/**
 * 货币单位 Mapper
 *
 * @author brian
 */
@Mapper
public interface CurrencyMapper extends BaseMapperX<CurrencyDO> {

    default PageResult<CurrencyDO> selectPage(CurrencyPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CurrencyDO>()
                .likeIfPresent(CurrencyDO::getTitleZh, reqVO.getTitleZh())
                .likeIfPresent(CurrencyDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(CurrencyDO::getFuhao, reqVO.getFuhao())
                .eqIfPresent(CurrencyDO::getStatus, reqVO.getStatus())
                //.eqIfPresent(CurrencyDO::getHuilv, reqVO.getHuilv())
                //.eqIfPresent(CurrencyDO::getExchangeToFc, reqVO.getExchangeToFc())
                .eqIfPresent(CurrencyDO::getAorder, reqVO.getAorder())
                .eqIfPresent(CurrencyDO::getDeleted, reqVO.getDeleted())
                .eqIfPresent(CurrencyDO::getCreator, reqVO.getCreator())
                .eqIfPresent(CurrencyDO::getUpdater, reqVO.getUpdater())
                .eqIfPresent(CurrencyDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(CurrencyDO::getUpdateTime, reqVO.getUpdateTime())
                .orderByAsc(CurrencyDO::getAorder));
    }

    default List<CurrencyDO> selectList(CurrencyExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<CurrencyDO>()
                .eqIfPresent(CurrencyDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(CurrencyDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(CurrencyDO::getFuhao, reqVO.getFuhao())
                .eqIfPresent(CurrencyDO::getStatus, reqVO.getStatus())
               // .eqIfPresent(CurrencyDO::getHuilv, reqVO.getHuilv())
                //.eqIfPresent(CurrencyDO::getExchangeToFc, reqVO.getExchangeToFc())
                /*.eqIfPresent(CurrencyDO::getAorder, reqVO.getAorder())
                .eqIfPresent(CurrencyDO::getDeleted, reqVO.getDeleted())
                .eqIfPresent(CurrencyDO::getCreator, reqVO.getCreator())
                .eqIfPresent(CurrencyDO::getUpdater, reqVO.getUpdater())
                .eqIfPresent(CurrencyDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(CurrencyDO::getUpdateTime, reqVO.getUpdateTime())*/

                .orderByAsc(CurrencyDO::getAorder));
    }

}
