package cn.iocoder.yudao.module.ecw.dal.mysql.currencyEcash;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.currencyEcash.CurrencyEcashDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.currencyEcash.vo.*;

/**
 * E-Cash汇率单位 Mapper
 *
 * @author 久点源码
 */
@Mapper
public interface CurrencyEcashMapper extends BaseMapperX<CurrencyEcashDO> {

    default PageResult<CurrencyEcashDO> selectPage(CurrencyEcashPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CurrencyEcashDO>()
                .eqIfPresent(CurrencyEcashDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(CurrencyEcashDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(CurrencyEcashDO::getFuhao, reqVO.getFuhao())
                .eqIfPresent(CurrencyEcashDO::getStatus, reqVO.getStatus())
                .eqIfPresent(CurrencyEcashDO::getHuilv, reqVO.getHuilv())
                .eqIfPresent(CurrencyEcashDO::getAorder, reqVO.getAorder())
                .betweenIfPresent(CurrencyEcashDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByAsc(CurrencyEcashDO::getAorder));
    }

    default List<CurrencyEcashDO> selectList(CurrencyEcashExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<CurrencyEcashDO>()
                .eqIfPresent(CurrencyEcashDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(CurrencyEcashDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(CurrencyEcashDO::getFuhao, reqVO.getFuhao())
                .eqIfPresent(CurrencyEcashDO::getStatus, reqVO.getStatus())
                .eqIfPresent(CurrencyEcashDO::getHuilv, reqVO.getHuilv())
                .eqIfPresent(CurrencyEcashDO::getAorder, reqVO.getAorder())
                .betweenIfPresent(CurrencyEcashDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByAsc(CurrencyEcashDO::getAorder));
    }

}
