package cn.iocoder.yudao.module.ecw.dal.mysql.dock;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.dock.DockDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.dock.vo.*;

/**
 * 码头信息 Mapper
 *
 * @author wlh
 */
@Mapper
public interface DockMapper extends BaseMapperX<DockDO> {

    default PageResult<DockDO> selectPage(DockPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DockDO>()
                .eqIfPresent(DockDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(DockDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(DockDO::getSort, reqVO.getSort())
                .eqIfPresent(DockDO::getStatus, reqVO.getStatus())
                .eqIfPresent(DockDO::getSource, reqVO.getSource())
                .eqIfPresent(DockDO::getCountryId, reqVO.getCountryId())
                .eqIfPresent(DockDO::getCountryZh, reqVO.getCountryZh())
                .eqIfPresent(DockDO::getCountryEn, reqVO.getCountryEn())
                .eqIfPresent(DockDO::getProvinceId, reqVO.getProvinceId())
                .eqIfPresent(DockDO::getProvinceZh, reqVO.getProvinceZh())
                .eqIfPresent(DockDO::getProvinceEn, reqVO.getProvinceEn())
                .eqIfPresent(DockDO::getCityId, reqVO.getCityId())
                .eqIfPresent(DockDO::getCityZh, reqVO.getCityZh())
                .eqIfPresent(DockDO::getCityEn, reqVO.getCityEn())
                .eqIfPresent(DockDO::getNumber, reqVO.getNumber())
                .eqIfPresent(DockDO::getType, reqVO.getType())
                .betweenIfPresent(DockDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(DockDO::getId));
    }

    default List<DockDO> selectList(DockExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<DockDO>()
                .eqIfPresent(DockDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(DockDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(DockDO::getSort, reqVO.getSort())
                .eqIfPresent(DockDO::getStatus, reqVO.getStatus())
                .eqIfPresent(DockDO::getSource, reqVO.getSource())
                .eqIfPresent(DockDO::getCountryId, reqVO.getCountryId())
                .eqIfPresent(DockDO::getCountryZh, reqVO.getCountryZh())
                .eqIfPresent(DockDO::getCountryEn, reqVO.getCountryEn())
                .eqIfPresent(DockDO::getProvinceId, reqVO.getProvinceId())
                .eqIfPresent(DockDO::getProvinceZh, reqVO.getProvinceZh())
                .eqIfPresent(DockDO::getProvinceEn, reqVO.getProvinceEn())
                .eqIfPresent(DockDO::getCityId, reqVO.getCityId())
                .eqIfPresent(DockDO::getCityZh, reqVO.getCityZh())
                .eqIfPresent(DockDO::getCityEn, reqVO.getCityEn())
                .eqIfPresent(DockDO::getNumber, reqVO.getNumber())
                .eqIfPresent(DockDO::getType, reqVO.getType())
                .betweenIfPresent(DockDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(DockDO::getId));
    }

}
