package cn.iocoder.yudao.module.ecw.dal.mysql.enterprise;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.enterprise.EnterpriseDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.enterprise.vo.*;

/**
 * 企业设置 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface EnterpriseMapper extends BaseMapperX<EnterpriseDO> {

    default PageResult<EnterpriseDO> selectPage(EnterprisePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<EnterpriseDO>()
                .eqIfPresent(EnterpriseDO::getLogoZh, reqVO.getLogoZh())
                .eqIfPresent(EnterpriseDO::getLogoEn, reqVO.getLogoEn())
                .eqIfPresent(EnterpriseDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(EnterpriseDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(EnterpriseDO::getKeywordZh, reqVO.getKeywordZh())
                .eqIfPresent(EnterpriseDO::getKeywordEn, reqVO.getKeywordEn())
                .eqIfPresent(EnterpriseDO::getDescribeZh, reqVO.getDescribeZh())
                .eqIfPresent(EnterpriseDO::getDescribeEn, reqVO.getDescribeEn())
                .eqIfPresent(EnterpriseDO::getAddressZh, reqVO.getAddressZh())
                .eqIfPresent(EnterpriseDO::getAddressEn, reqVO.getAddressEn())
                .eqIfPresent(EnterpriseDO::getFreeConsultationZh, reqVO.getFreeConsultationZh())
                .eqIfPresent(EnterpriseDO::getFreeConsultationEn, reqVO.getFreeConsultationEn())
                .eqIfPresent(EnterpriseDO::getCustomerTelZh, reqVO.getCustomerTelZh())
                .eqIfPresent(EnterpriseDO::getCustomerTelEn, reqVO.getCustomerTelEn())
                .eqIfPresent(EnterpriseDO::getContactTelZh, reqVO.getContactTelZh())
                .eqIfPresent(EnterpriseDO::getContactTelEn, reqVO.getContactTelEn())
                .eqIfPresent(EnterpriseDO::getMailboxZh, reqVO.getMailboxZh())
                .eqIfPresent(EnterpriseDO::getMailboxEn, reqVO.getMailboxEn())
                .eqIfPresent(EnterpriseDO::getCopyrightInfoZh, reqVO.getCopyrightInfoZh())
                .eqIfPresent(EnterpriseDO::getCopyrightInfoEn, reqVO.getCopyrightInfoEn())
                .eqIfPresent(EnterpriseDO::getEnterpriseWechatZh, reqVO.getEnterpriseWechatZh())
                .eqIfPresent(EnterpriseDO::getEnterpriseWechatEn, reqVO.getEnterpriseWechatEn())
                .betweenIfPresent(EnterpriseDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(EnterpriseDO::getId));
    }

    default List<EnterpriseDO> selectList(EnterpriseExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<EnterpriseDO>()
                .eqIfPresent(EnterpriseDO::getLogoZh, reqVO.getLogoZh())
                .eqIfPresent(EnterpriseDO::getLogoEn, reqVO.getLogoEn())
                .eqIfPresent(EnterpriseDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(EnterpriseDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(EnterpriseDO::getKeywordZh, reqVO.getKeywordZh())
                .eqIfPresent(EnterpriseDO::getKeywordEn, reqVO.getKeywordEn())
                .eqIfPresent(EnterpriseDO::getDescribeZh, reqVO.getDescribeZh())
                .eqIfPresent(EnterpriseDO::getDescribeEn, reqVO.getDescribeEn())
                .eqIfPresent(EnterpriseDO::getAddressZh, reqVO.getAddressZh())
                .eqIfPresent(EnterpriseDO::getAddressEn, reqVO.getAddressEn())
                .eqIfPresent(EnterpriseDO::getFreeConsultationZh, reqVO.getFreeConsultationZh())
                .eqIfPresent(EnterpriseDO::getFreeConsultationEn, reqVO.getFreeConsultationEn())
                .eqIfPresent(EnterpriseDO::getCustomerTelZh, reqVO.getCustomerTelZh())
                .eqIfPresent(EnterpriseDO::getCustomerTelEn, reqVO.getCustomerTelEn())
                .eqIfPresent(EnterpriseDO::getContactTelZh, reqVO.getContactTelZh())
                .eqIfPresent(EnterpriseDO::getContactTelEn, reqVO.getContactTelEn())
                .eqIfPresent(EnterpriseDO::getMailboxZh, reqVO.getMailboxZh())
                .eqIfPresent(EnterpriseDO::getMailboxEn, reqVO.getMailboxEn())
                .eqIfPresent(EnterpriseDO::getCopyrightInfoZh, reqVO.getCopyrightInfoZh())
                .eqIfPresent(EnterpriseDO::getCopyrightInfoEn, reqVO.getCopyrightInfoEn())
                .eqIfPresent(EnterpriseDO::getEnterpriseWechatZh, reqVO.getEnterpriseWechatZh())
                .eqIfPresent(EnterpriseDO::getEnterpriseWechatEn, reqVO.getEnterpriseWechatEn())
                .betweenIfPresent(EnterpriseDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(EnterpriseDO::getId));
    }

}
