package cn.iocoder.yudao.module.ecw.dal.mysql.exchangeRate;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.util.MyBatisUtils;
import cn.iocoder.yudao.module.ecw.dal.dataobject.exchangeRate.ExchangeRateDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.vo.exchangeRate.*;
import org.apache.ibatis.annotations.Param;

/**
 * 汇率管理 Mapper
 * @author 系统管理员
 */
@Mapper
public interface ExchangeRateMapper extends AbstractMapper<ExchangeRateDO> {
    @Override
    default PageResult<ExchangeRateDO> selectPage(PageVO page, Object object) {
        if (object instanceof ExchangeRateQueryVO) {
            ExchangeRateQueryVO vo = (ExchangeRateQueryVO)object;
            return selectPage(page, new LambdaQuery<ExchangeRateDO>()
                .eqIfPresent(ExchangeRateDO::getSourceCurrencyId, vo.getSourceCurrencyId())
                .eqIfPresent(ExchangeRateDO::getTargetCurrencyId, vo.getTargetCurrencyId())
                .betweenIfPresent(ExchangeRateDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ExchangeRateDO::getId));
        }

        return null;
    }



    @Override
    default List<ExchangeRateDO> selectList(Object object) {
        if (object instanceof ExchangeRateQueryVO) {
            ExchangeRateQueryVO vo = (ExchangeRateQueryVO)object;
            return selectList(new LambdaQuery<ExchangeRateDO>()
                .eqIfPresent(ExchangeRateDO::getSourceCurrencyId, vo.getSourceCurrencyId())
                .eqIfPresent(ExchangeRateDO::getTargetCurrencyId, vo.getTargetCurrencyId())
                .betweenIfPresent(ExchangeRateDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ExchangeRateDO::getId));
        }

        return null;
    }
}
