package cn.iocoder.yudao.module.ecw.dal.mysql.exchangeRateLog;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.ecw.dal.dataobject.exchangeRateLog.ExchangeRateLogDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.vo.exchangeRateLog.*;

/**
 * 汇率变更记录 Mapper
 * @author 系统管理员
 */
@Mapper
public interface ExchangeRateLogMapper extends AbstractMapper<ExchangeRateLogDO> {
    @Override
    default PageResult<ExchangeRateLogDO> selectPage(PageVO page, Object object) {
        if (object instanceof ExchangeRateLogQueryVO) {
            ExchangeRateLogQueryVO vo = (ExchangeRateLogQueryVO)object;
            return selectPage(page, new LambdaQuery<ExchangeRateLogDO>()
                .likeIfPresent(ExchangeRateLogDO::getChangeName, vo.getChangeName())
                .eqIfPresent(ExchangeRateLogDO::getRateId, vo.getRateId())
                .betweenIfPresent(ExchangeRateLogDO::getChangeTime, vo.getBeginChangeTime(), vo.getEndChangeTime())
                .eqIfPresent(ExchangeRateLogDO::getBeforeChangeValue, vo.getBeforeChangeValue())
                .eqIfPresent(ExchangeRateLogDO::getAfterChangeValue, vo.getAfterChangeValue())
                .betweenIfPresent(ExchangeRateLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ExchangeRateLogDO::getId));
        }

        return null;
    }

    @Override
    default List<ExchangeRateLogDO> selectList(Object object) {
        if (object instanceof ExchangeRateLogQueryVO) {
            ExchangeRateLogQueryVO vo = (ExchangeRateLogQueryVO)object;
            return selectList(new LambdaQuery<ExchangeRateLogDO>()
                .likeIfPresent(ExchangeRateLogDO::getChangeName, vo.getChangeName())
                .eqIfPresent(ExchangeRateLogDO::getRateId, vo.getRateId())
                .betweenIfPresent(ExchangeRateLogDO::getChangeTime, vo.getBeginChangeTime(), vo.getEndChangeTime())
                .eqIfPresent(ExchangeRateLogDO::getBeforeChangeValue, vo.getBeforeChangeValue())
                .eqIfPresent(ExchangeRateLogDO::getAfterChangeValue, vo.getAfterChangeValue())
                .betweenIfPresent(ExchangeRateLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ExchangeRateLogDO::getId));
        }

        return null;
    }
}
