package cn.iocoder.yudao.module.ecw.dal.mysql.express;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.express.ExpressDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.express.vo.*;

/**
 * 配送管理 Mapper
 *
 * @author yanghao
 */
@Mapper
public interface ExpressMapper extends BaseMapperX<ExpressDO> {

    default PageResult<ExpressDO> selectPage(ExpressPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ExpressDO>()
                .likeIfPresent(ExpressDO::getCompanyName, reqVO.getCompanyName())
                .likeIfPresent(ExpressDO::getAccountName, reqVO.getAccountName())
                .eqIfPresent(ExpressDO::getQueryKey, reqVO.getQueryKey())
                .likeIfPresent(ExpressDO::getQueryUrl, reqVO.getQueryUrl())
                .betweenIfPresent(ExpressDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(ExpressDO::getId));
    }

    default List<ExpressDO> selectList(ExpressExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<ExpressDO>()
                .likeIfPresent(ExpressDO::getCompanyName, reqVO.getCompanyName())
                .likeIfPresent(ExpressDO::getAccountName, reqVO.getAccountName())
                .eqIfPresent(ExpressDO::getQueryKey, reqVO.getQueryKey())
                .likeIfPresent(ExpressDO::getQueryUrl, reqVO.getQueryUrl())
                .betweenIfPresent(ExpressDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(ExpressDO::getId));
    }

}
