package cn.iocoder.yudao.module.ecw.dal.mysql.internalMessage;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.internalMessage.InternalMessageDO;
import cn.iocoder.yudao.module.ecw.vo.internalMessage.InternalMessageBackVO;
import cn.iocoder.yudao.module.ecw.vo.internalMessage.InternalMessageQueryVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 站内信 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface InternalMessageMapper extends AbstractMapper<InternalMessageDO> {
    @Override
    default PageResult<InternalMessageDO> selectPage(PageVO page, Object object) {
        if (object instanceof InternalMessageQueryVO) {
            InternalMessageQueryVO vo = (InternalMessageQueryVO) object;
            return selectPage(page, new LambdaQuery<InternalMessageDO>()
                    .eqIfPresent(InternalMessageDO::getFromId, vo.getFromId())
                    .betweenIfPresent(InternalMessageDO::getSendTime, vo.getBeginSendTime(), vo.getEndSendTime())
                    .eqIfPresent(InternalMessageDO::getTitle, vo.getTitle())
                    .eqIfPresent(InternalMessageDO::getContent, vo.getContent())
                    .eqIfPresent(InternalMessageDO::getType, vo.getType())
                    .betweenIfPresent(InternalMessageDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(InternalMessageDO::getId));
        }

        return null;
    }

    @Override
    default List<InternalMessageDO> selectList(Object object) {
        if (object instanceof InternalMessageQueryVO) {
            InternalMessageQueryVO vo = (InternalMessageQueryVO) object;
            return selectList(new LambdaQuery<InternalMessageDO>()
                    .eqIfPresent(InternalMessageDO::getFromId, vo.getFromId())
                    .betweenIfPresent(InternalMessageDO::getSendTime, vo.getBeginSendTime(), vo.getEndSendTime())
                    .eqIfPresent(InternalMessageDO::getTitle, vo.getTitle())
                    .eqIfPresent(InternalMessageDO::getContent, vo.getContent())
                    .eqIfPresent(InternalMessageDO::getType, vo.getType())
                    .betweenIfPresent(InternalMessageDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(InternalMessageDO::getId));
        }

        return null;
    }


    Long getNotReadInternalMessageTotal(@Param("id") Long userId);

    IPage<InternalMessageBackVO> selectMyInternalMessagePage(IPage<InternalMessageBackVO> page, @Param(Constants.WRAPPER) Wrapper queryWrapper);
}
