package cn.iocoder.yudao.module.ecw.dal.mysql.internalMessageTo;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.ecw.dal.dataobject.internalMessageTo.InternalMessageToDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.vo.internalMessageTo.*;

/**
 * 站内信读取信息 Mapper
 * @author 系统管理员
 */
@Mapper
public interface InternalMessageToMapper extends AbstractMapper<InternalMessageToDO> {
    @Override
    default PageResult<InternalMessageToDO> selectPage(PageVO page, Object object) {
        if (object instanceof InternalMessageToQueryVO) {
            InternalMessageToQueryVO vo = (InternalMessageToQueryVO)object;
            return selectPage(page, new LambdaQuery<InternalMessageToDO>()
                .eqIfPresent(InternalMessageToDO::getMessageId, vo.getMessageId())
                .eqIfPresent(InternalMessageToDO::getToId, vo.getToId())
                .betweenIfPresent(InternalMessageToDO::getReadTime, vo.getBeginReadTime(), vo.getEndReadTime())
                .eqIfPresent(InternalMessageToDO::getStatus, vo.getStatus())
                .betweenIfPresent(InternalMessageToDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(InternalMessageToDO::getId));
        }

        return null;
    }

    @Override
    default List<InternalMessageToDO> selectList(Object object) {
        if (object instanceof InternalMessageToQueryVO) {
            InternalMessageToQueryVO vo = (InternalMessageToQueryVO)object;
            return selectList(new LambdaQuery<InternalMessageToDO>()
                .eqIfPresent(InternalMessageToDO::getMessageId, vo.getMessageId())
                .eqIfPresent(InternalMessageToDO::getToId, vo.getToId())
                .betweenIfPresent(InternalMessageToDO::getReadTime, vo.getBeginReadTime(), vo.getEndReadTime())
                .eqIfPresent(InternalMessageToDO::getStatus, vo.getStatus())
                .betweenIfPresent(InternalMessageToDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(InternalMessageToDO::getId));
        }

        return null;
    }
}
