package cn.iocoder.yudao.module.ecw.dal.mysql.messageLeave;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.messageLeave.MessageLeaveDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.messageLeave.vo.*;

/**
 * 留言 Mapper
 *
 * @author yanghao
 */
@Mapper
public interface MessageLeaveMapper extends BaseMapperX<MessageLeaveDO> {

    default PageResult<MessageLeaveDO> selectPage(MessageLeavePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<MessageLeaveDO>()
                .eqIfPresent(MessageLeaveDO::getOrderCode, reqVO.getOrderCode())
                .eqIfPresent(MessageLeaveDO::getContent, reqVO.getContent())
                .eqIfPresent(MessageLeaveDO::getCreator, reqVO.getCreator())
                .eqIfPresent(MessageLeaveDO::getType, reqVO.getType())
                .eqIfPresent(MessageLeaveDO::getStatus, reqVO.getStatus())
                .eqIfPresent(MessageLeaveDO::getReplyUserId, reqVO.getReplyUserId())
                .betweenIfPresent(MessageLeaveDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(MessageLeaveDO::getId));
    }

    default List<MessageLeaveDO> selectList(MessageLeaveExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<MessageLeaveDO>()
                .eqIfPresent(MessageLeaveDO::getOrderCode, reqVO.getOrderCode())
                .eqIfPresent(MessageLeaveDO::getContent, reqVO.getContent())
                .eqIfPresent(MessageLeaveDO::getType, reqVO.getType())
                .eqIfPresent(MessageLeaveDO::getStatus, reqVO.getStatus())
                .eqIfPresent(MessageLeaveDO::getReplyUserId, reqVO.getReplyUserId())
                .betweenIfPresent(MessageLeaveDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(MessageLeaveDO::getId));
    }

}
