package cn.iocoder.yudao.module.ecw.dal.mysql.node;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.api.node.dto.NodeTreeRegionDTO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.node.NodeDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.node.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 服务网点 Mapper
 *
 * @author wlh
 */
@Mapper
public interface NodeMapper extends BaseMapperX<NodeDO> {

    default PageResult<NodeDO> selectPage(NodePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<NodeDO>()
                .eqIfPresent(NodeDO::getNumber, reqVO.getNumber())
                .eqIfPresent(NodeDO::getZhou, reqVO.getZhou())
                .eqIfPresent(NodeDO::getGuojia, reqVO.getGuojia())
                .eqIfPresent(NodeDO::getSheng, reqVO.getSheng())
                .eqIfPresent(NodeDO::getShi, reqVO.getShi())
                .eqIfPresent(NodeDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(NodeDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(NodeDO::getImg, reqVO.getImg())
                .eqIfPresent(NodeDO::getTitlesZh, reqVO.getTitlesZh())
                .eqIfPresent(NodeDO::getTitlesEn, reqVO.getTitlesEn())
                .eqIfPresent(NodeDO::getKeywordsZh, reqVO.getKeywordsZh())
                .eqIfPresent(NodeDO::getKeywordsEn, reqVO.getKeywordsEn())
                .eqIfPresent(NodeDO::getDescriptionZh, reqVO.getDescriptionZh())
                .eqIfPresent(NodeDO::getDescriptionEn, reqVO.getDescriptionEn())
                .eqIfPresent(NodeDO::getContentZh, reqVO.getContentZh())
                .eqIfPresent(NodeDO::getContentEn, reqVO.getContentEn())
                .eqIfPresent(NodeDO::getAddressZh, reqVO.getAddressZh())
                .eqIfPresent(NodeDO::getAddressEn, reqVO.getAddressEn())
                .eqIfPresent(NodeDO::getTradeType, reqVO.getTradeType())
                .eqIfPresent(NodeDO::getFreight, reqVO.getFreight())
                .eqIfPresent(NodeDO::getWorktime, reqVO.getWorktime())
                .eqIfPresent(NodeDO::getAdminId, reqVO.getAdminId())
                .eqIfPresent(NodeDO::getAorder, reqVO.getAorder())
                .eqIfPresent(NodeDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(NodeDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByAsc(NodeDO::getAorder));
    }

    IPage<NodeDO> queryPageList(IPage<NodeDO> page, @Param("cityName") String cityName, @Param("keywords") String keywords);

    default List<NodeDO> selectList(NodeExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<NodeDO>()
                .eqIfPresent(NodeDO::getNumber, reqVO.getNumber())
                .eqIfPresent(NodeDO::getZhou, reqVO.getZhou())
                .eqIfPresent(NodeDO::getGuojia, reqVO.getGuojia())
                .eqIfPresent(NodeDO::getSheng, reqVO.getSheng())
                .eqIfPresent(NodeDO::getShi, reqVO.getShi())
                .eqIfPresent(NodeDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(NodeDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(NodeDO::getImg, reqVO.getImg())
                .eqIfPresent(NodeDO::getTitlesZh, reqVO.getTitlesZh())
                .eqIfPresent(NodeDO::getTitlesEn, reqVO.getTitlesEn())
                .eqIfPresent(NodeDO::getKeywordsZh, reqVO.getKeywordsZh())
                .eqIfPresent(NodeDO::getKeywordsEn, reqVO.getKeywordsEn())
                .eqIfPresent(NodeDO::getDescriptionZh, reqVO.getDescriptionZh())
                .eqIfPresent(NodeDO::getDescriptionEn, reqVO.getDescriptionEn())
                .eqIfPresent(NodeDO::getContentZh, reqVO.getContentZh())
                .eqIfPresent(NodeDO::getContentEn, reqVO.getContentEn())
                .eqIfPresent(NodeDO::getAddressZh, reqVO.getAddressZh())
                .eqIfPresent(NodeDO::getAddressEn, reqVO.getAddressEn())
                .eqIfPresent(NodeDO::getTradeType, reqVO.getTradeType())
                .eqIfPresent(NodeDO::getFreight, reqVO.getFreight())
                .eqIfPresent(NodeDO::getWorktime, reqVO.getWorktime())
                .eqIfPresent(NodeDO::getAdminId, reqVO.getAdminId())
                .eqIfPresent(NodeDO::getAorder, reqVO.getAorder())
                .eqIfPresent(NodeDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(NodeDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(NodeDO::getId));
    }

    List<NodeTreeRegionDTO> getNodeTreeRegionList();
}
