package cn.iocoder.yudao.module.ecw.dal.mysql.orderCode;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.orderCode.OrderCodeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.orderCode.vo.*;

/**
 * 单号配置 Mapper
 *
 * @author yanghao
 */
@Mapper
public interface OrderCodeMapper extends BaseMapperX<OrderCodeDO> {

    default PageResult<OrderCodeDO> selectPage(OrderCodePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OrderCodeDO>()
                .likeIfPresent(OrderCodeDO::getTitle, reqVO.getTitle())
                .betweenIfPresent(OrderCodeDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(OrderCodeDO::getId));
    }

    default List<OrderCodeDO> selectList(OrderCodeExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<OrderCodeDO>()
                .likeIfPresent(OrderCodeDO::getTitle, reqVO.getTitle())
                .betweenIfPresent(OrderCodeDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(OrderCodeDO::getId));
    }

}
