package cn.iocoder.yudao.module.ecw.dal.mysql.pickupLoc;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.pickupLoc.PickupLocDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.pickupLoc.vo.*;

/**
 * 自提点 Mapper
 *
 * @author wlh
 */
@Mapper
public interface PickupLocMapper extends BaseMapperX<PickupLocDO> {

    default PageResult<PickupLocDO> selectPage(PickupLocPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<PickupLocDO>()
                .likeIfPresent(PickupLocDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(PickupLocDO::getCountryId, reqVO.getCountryId())
                .eqIfPresent(PickupLocDO::getStatus, reqVO.getStatus())
                .eqIfPresent(PickupLocDO::getTitleEn, reqVO.getTitleEn())
                .betweenIfPresent(PickupLocDO::getWorkTime, reqVO.getBeginWorkTime(), reqVO.getEndWorkTime())
                .eqIfPresent(PickupLocDO::getContact, reqVO.getContact())
                .eqIfPresent(PickupLocDO::getAddress, reqVO.getAddress())
                .eqIfPresent(PickupLocDO::getDetailZh, reqVO.getDetailZh())
                .eqIfPresent(PickupLocDO::getDetailEn, reqVO.getDetailEn())
                .eqIfPresent(PickupLocDO::getSort, reqVO.getSort())
                .betweenIfPresent(PickupLocDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByAsc(PickupLocDO::getSort));
    }

    default List<PickupLocDO> selectList(PickupLocExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<PickupLocDO>()
                .eqIfPresent(PickupLocDO::getCountryId, reqVO.getCountryId())
                .eqIfPresent(PickupLocDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(PickupLocDO::getTitleEn, reqVO.getTitleEn())
                .betweenIfPresent(PickupLocDO::getWorkTime, reqVO.getBeginWorkTime(), reqVO.getEndWorkTime())
                .eqIfPresent(PickupLocDO::getContact, reqVO.getContact())
                .eqIfPresent(PickupLocDO::getAddress, reqVO.getAddress())
                .eqIfPresent(PickupLocDO::getDetailZh, reqVO.getDetailZh())
                .eqIfPresent(PickupLocDO::getDetailEn, reqVO.getDetailEn())
                .eqIfPresent(PickupLocDO::getSort, reqVO.getSort())
                .eqIfPresent(PickupLocDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(PickupLocDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(PickupLocDO::getId));
    }

}
