package cn.iocoder.yudao.module.ecw.service.adminClient;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.ecw.vo.adminClient.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClient.AdminClientDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 我的客户 Service 接口
 *
 * @author 系统管理员
 */
public interface AdminClientService extends IService<AdminClientDO> {

    /**
     * 创建我的客户
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAdminClient(@Valid AdminClientCreateReqVO createReqVO);

    /**
     * 更新我的客户
     * @param updateReqVO 更新信息
     */
    void updateAdminClient(@Valid AdminClientUpdateReqVO updateReqVO);

    /**
     * 删除我的客户
     * @param id 编号
     */
    void deleteAdminClient(Long id);

    /**
     * 获得我的客户
     * @param id 编号
     * @return 我的客户
     */
    AdminClientDO getAdminClient(Long id);

    /**
     * 获得我的客户列表
     * @param ids 编号
     * @return 我的客户列表
     */
    List<AdminClientDO> getAdminClientList(Collection<Long> ids);

    /**
     * 获得我的客户分页
     * @param page 分页查询
     * @param query 查询
     * @return 我的客户分页
     */
    PageResult<AdminClientDO> getAdminClientPage(AdminClientQueryVO query, PageVO page);

    /**
     * 获得我的客户列表, 用于 Excel 导出
     * @param query 查询
     * @return 我的客户列表
     */
    List<AdminClientDO> getAdminClientList(AdminClientQueryVO query);
}
