package cn.iocoder.yudao.module.ecw.service.adminClientType;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.ecw.vo.adminClientType.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClientType.AdminClientTypeDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 我的客户分组 Service 接口
 *
 * @author 系统管理员
 */
public interface AdminClientTypeService extends IService<AdminClientTypeDO> {

    /**
     * 创建我的客户分组
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createAdminClientType(@Valid AdminClientTypeCreateReqVO createReqVO);

    /**
     * 更新我的客户分组
     * @param updateReqVO 更新信息
     */
    void updateAdminClientType(@Valid AdminClientTypeUpdateReqVO updateReqVO);

    /**
     * 删除我的客户分组
     * @param id 编号
     */
    void deleteAdminClientType(Integer id);

    /**
     * 获得我的客户分组
     * @param id 编号
     * @return 我的客户分组
     */
    AdminClientTypeDO getAdminClientType(Integer id);

    /**
     * 获得我的客户分组列表
     * @param ids 编号
     * @return 我的客户分组列表
     */
    List<AdminClientTypeDO> getAdminClientTypeList(Collection<Integer> ids);

    /**
     * 获得我的客户分组分页
     * @param page 分页查询
     * @param query 查询
     * @return 我的客户分组分页
     */
    PageResult<AdminClientTypeDO> getAdminClientTypePage(AdminClientTypeQueryVO query, PageVO page);

    /**
     * 获得我的客户分组列表, 用于 Excel 导出
     * @param query 查询
     * @return 我的客户分组列表
     */
    List<AdminClientTypeDO> getAdminClientTypeList(AdminClientTypeQueryVO query);
}
