package cn.iocoder.yudao.module.ecw.service.adminClienta;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.ecw.vo.adminClienta.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClienta.AdminClientaDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 我的供应商 Service 接口
 *
 * @author 系统管理员
 */
public interface AdminClientaService extends IService<AdminClientaDO> {

    /**
     * 创建我的供应商
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAdminClienta(@Valid AdminClientaCreateReqVO createReqVO);

    /**
     * 更新我的供应商
     * @param updateReqVO 更新信息
     */
    void updateAdminClienta(@Valid AdminClientaUpdateReqVO updateReqVO);

    /**
     * 删除我的供应商
     * @param id 编号
     */
    void deleteAdminClienta(Long id);

    /**
     * 获得我的供应商
     * @param id 编号
     * @return 我的供应商
     */
    AdminClientaDO getAdminClienta(Long id);

    /**
     * 获得我的供应商列表
     * @param ids 编号
     * @return 我的供应商列表
     */
    List<AdminClientaDO> getAdminClientaList(Collection<Long> ids);

    /**
     * 获得我的供应商分页
     * @param page 分页查询
     * @param query 查询
     * @return 我的供应商分页
     */
    PageResult<AdminClientaDO> getAdminClientaPage(AdminClientaQueryVO query, PageVO page);

    /**
     * 获得我的供应商列表, 用于 Excel 导出
     * @param query 查询
     * @return 我的供应商列表
     */
    List<AdminClientaDO> getAdminClientaList(AdminClientaQueryVO query);
}
