package cn.iocoder.yudao.module.ecw.service.adminClientaType;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.ecw.vo.adminClientaType.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClientaType.AdminClientaTypeDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 我的供应商分组 Service 接口
 *
 * @author 系统管理员
 */
public interface AdminClientaTypeService extends IService<AdminClientaTypeDO> {

    /**
     * 创建我的供应商分组
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAdminClientaType(@Valid AdminClientaTypeCreateReqVO createReqVO);

    /**
     * 更新我的供应商分组
     * @param updateReqVO 更新信息
     */
    void updateAdminClientaType(@Valid AdminClientaTypeUpdateReqVO updateReqVO);

    /**
     * 删除我的供应商分组
     * @param id 编号
     */
    void deleteAdminClientaType(Long id);

    /**
     * 获得我的供应商分组
     * @param id 编号
     * @return 我的供应商分组
     */
    AdminClientaTypeDO getAdminClientaType(Long id);

    /**
     * 获得我的供应商分组列表
     * @param ids 编号
     * @return 我的供应商分组列表
     */
    List<AdminClientaTypeDO> getAdminClientaTypeList(Collection<Long> ids);

    /**
     * 获得我的供应商分组分页
     * @param page 分页查询
     * @param query 查询
     * @return 我的供应商分组分页
     */
    PageResult<AdminClientaTypeDO> getAdminClientaTypePage(AdminClientaTypeQueryVO query, PageVO page);

    /**
     * 获得我的供应商分组列表, 用于 Excel 导出
     * @param query 查询
     * @return 我的供应商分组列表
     */
    List<AdminClientaTypeDO> getAdminClientaTypeList(AdminClientaTypeQueryVO query);
}
