package cn.iocoder.yudao.module.ecw.service.api;

import cn.iocoder.yudao.module.ecw.api.internalMessage.InternalMessageApi;
import cn.iocoder.yudao.module.ecw.api.internalMessage.dto.InternalMessageCreateDto;
import cn.iocoder.yudao.module.ecw.convert.internalMessage.InternalMessageConvert;
import cn.iocoder.yudao.module.ecw.service.internalMessage.InternalMessageService;
import cn.iocoder.yudao.module.ecw.service.internalMessage.WebInternalMessageService;
import cn.iocoder.yudao.module.ecw.vo.internalMessage.InternalMessageCreateReqVO;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

@Service
@Validated
public class InternalMessageApiImpl implements InternalMessageApi {

    @Resource
    private InternalMessageService internalMessageService;
    @Resource
    private WebInternalMessageService webInternalMessageService;

    @Override
    public Long createInternalMessage(InternalMessageCreateDto internalMessageCreateDto) {
        InternalMessageCreateReqVO reqVO = InternalMessageConvert.INSTANCE.convert(internalMessageCreateDto);
        return internalMessageService.createInternalMessage(reqVO);
    }

    @Override
    public Long getNotReadInternalMessageTotal(Integer userType, Long userId) {
        if (userType == 2) {
            // 管理端消息统计
            return internalMessageService.getNotReadInternalMessageTotal(userId);
        }else {
            // web端消息统计
            return webInternalMessageService.getNotReadInternalMessageTotal(userId);
        }
    }
}
