package cn.iocoder.yudao.module.ecw.service.busiPwd;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.busiPwd.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.busiPwd.BusiPwdDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;

/**
 * 业务密码 Service 接口
 *
 * @author 系统管理员
 */
public interface BusiPwdService extends IService<BusiPwdDO> {

    /**
     * 创建业务密码
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBusiPwd(@Valid BusiPwdCreateReqVO createReqVO);

    /**
     * 更新业务密码
     *
     * @param updateReqVO 更新信息
     */
    void updateBusiPwd(@Valid BusiPwdUpdateReqVO updateReqVO);

    /**
     * 删除业务密码
     *
     * @param id 编号
     */
    void deleteBusiPwd(Long id);

    /**
     * 获得业务密码
     *
     * @param id 编号
     * @return 业务密码
     */
    BusiPwdDO getBusiPwd(Long id);

    /**
     * 获得业务密码列表
     *
     * @param ids 编号
     * @return 业务密码列表
     */
    List<BusiPwdDO> getBusiPwdList(Collection<Long> ids);

    /**
     * 获得业务密码分页
     *
     * @param pageReqVO 分页查询
     * @return 业务密码分页
     */
    PageResult<BusiPwdDO> getBusiPwdPage(BusiPwdPageReqVO pageReqVO);

    /**
     * 获得业务密码列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 业务密码列表
     */
    List<BusiPwdDO> getBusiPwdList(BusiPwdExportReqVO exportReqVO);

}
