package cn.iocoder.yudao.module.ecw.service.cabinet;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.cabinet.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.cabinet.CabinetDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 柜型配置 Service 接口
 *
 * @author yanghao
 */
public interface CabinetService {

    /**
     * 创建柜型配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCabinet(@Valid CabinetCreateReqVO createReqVO);

    /**
     * 更新柜型配置
     *
     * @param updateReqVO 更新信息
     */
    void updateCabinet(@Valid CabinetUpdateReqVO updateReqVO);

    /**
     * 删除柜型配置
     *
     * @param id 编号
     */
    void deleteCabinet(Long id);

    /**
     * 获得柜型配置
     *
     * @param id 编号
     * @return 柜型配置
     */
    CabinetDO getCabinet(Long id);

    /**
     * 获得柜型配置列表
     *
     * @param ids 编号
     * @return 柜型配置列表
     */
    List<CabinetDO> getCabinetList(Collection<Long> ids);

    /**
     * 获得柜型配置分页
     *
     * @param pageReqVO 分页查询
     * @return 柜型配置分页
     */
    PageResult<CabinetDO> getCabinetPage(CabinetPageReqVO pageReqVO);

    /**
     * 获得柜型配置列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 柜型配置列表
     */
    List<CabinetDO> getCabinetList(CabinetExportReqVO exportReqVO);

}
