package cn.iocoder.yudao.module.ecw.service.clearanceFileNo;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.ecw.vo.clearanceFileNo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.clearanceFileNo.ClearanceFileNoDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 清关文件号码 Service 接口
 *
 * @author wlh
 */
public interface ClearanceFileNoService extends IService<ClearanceFileNoDO> {

    /**
     * 创建清关文件号码
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createClearanceFileNo(@Valid ClearanceFileNoCreateReqVO createReqVO);

    /**
     * 更新清关文件号码
     * @param updateReqVO 更新信息
     */
    void updateClearanceFileNo(@Valid ClearanceFileNoUpdateReqVO updateReqVO);

    /**
     * 删除清关文件号码
     * @param id 编号
     */
    void deleteClearanceFileNo(Long id);

    /**
     * 获得清关文件号码
     * @param id 编号
     * @return 清关文件号码
     */
    ClearanceFileNoDO getClearanceFileNo(Long id);

    /**
     * 获得清关文件号码列表
     * @param ids 编号
     * @return 清关文件号码列表
     */
    List<ClearanceFileNoDO> getClearanceFileNoList(Collection<Long> ids);

    /**
     * 获得清关文件号码分页
     * @param page 分页查询
     * @param query 查询
     * @return 清关文件号码分页
     */
    PageResult<ClearanceFileNoDO> getClearanceFileNoPage(ClearanceFileNoQueryVO query, PageVO page);

    /**
     * 获得清关文件号码列表, 用于 Excel 导出
     * @param query 查询
     * @return 清关文件号码列表
     */
    List<ClearanceFileNoDO> getClearanceFileNoList(ClearanceFileNoQueryVO query);
}
