package cn.iocoder.yudao.module.ecw.service.clearanceFileNo;

import java.util.*;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.module.ecw.vo.clearanceFileNo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.clearanceFileNo.ClearanceFileNoDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.convert.clearanceFileNo.ClearanceFileNoConvert;
import cn.iocoder.yudao.module.ecw.dal.mysql.clearanceFileNo.ClearanceFileNoMapper;
import static cn.iocoder.yudao.framework.common.exception.util.ServiceExceptionUtil.exception;
import static cn.iocoder.yudao.module.ecw.enums.ErrorCodeConstants.*;

/**
 * 清关文件号码 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class ClearanceFileNoServiceImpl extends AbstractService<ClearanceFileNoMapper, ClearanceFileNoDO> implements ClearanceFileNoService {

    @Resource
    private ClearanceFileNoMapper clearanceFileNoMapper;

    @Override
    public Long createClearanceFileNo(ClearanceFileNoCreateReqVO createReqVO) {
        // 插入
        ClearanceFileNoDO clearanceFileNo = ClearanceFileNoConvert.INSTANCE.convert(createReqVO);
        clearanceFileNoMapper.insert(clearanceFileNo);
        // 返回
        return clearanceFileNo.getId();
    }

    @Override
    public void updateClearanceFileNo(ClearanceFileNoUpdateReqVO updateReqVO) {
        // 更新
        ClearanceFileNoDO updateObj = ClearanceFileNoConvert.INSTANCE.convert(updateReqVO);
        clearanceFileNoMapper.updateById(updateObj);
    }

    @Override
    public void deleteClearanceFileNo(Long id) {
        // 删除
        clearanceFileNoMapper.deleteById(id);
    }


    @Override
    public ClearanceFileNoDO getClearanceFileNo(Long id) {
        return clearanceFileNoMapper.selectById(id);
    }

    @Override
    public List<ClearanceFileNoDO> getClearanceFileNoList(Collection<Long> ids) {
        return clearanceFileNoMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<ClearanceFileNoDO> getClearanceFileNoPage(ClearanceFileNoQueryVO query, PageVO page) {
        return clearanceFileNoMapper.selectPage(page, query);
    }

    @Override
    public List<ClearanceFileNoDO> getClearanceFileNoList(ClearanceFileNoQueryVO query) {
        return clearanceFileNoMapper.selectList(query);
    }
}
