package cn.iocoder.yudao.module.ecw.service.currencyEcash;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.currencyEcash.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.currencyEcash.CurrencyEcashDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * E-Cash汇率单位 Service 接口
 *
 * @author 久点源码
 */
public interface CurrencyEcashService {

    /**
     * 创建E-Cash汇率单位
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createCurrencyEcash(@Valid CurrencyEcashCreateReqVO createReqVO) throws Exception;

    /**
     * 更新E-Cash汇率单位
     *
     * @param updateReqVO 更新信息
     */
    void updateCurrencyEcash(@Valid CurrencyEcashUpdateReqVO updateReqVO);

    /**
     * 删除E-Cash汇率单位
     *
     * @param id 编号
     */
    void deleteCurrencyEcash(Integer id);

    /**
     * 获得E-Cash汇率单位
     *
     * @param id 编号
     * @return E-Cash汇率单位
     */
    CurrencyEcashDO getCurrencyEcash(Integer id);

    /**
     * 获得E-Cash汇率单位列表
     *
     * @param ids 编号
     * @return E-Cash汇率单位列表
     */
    List<CurrencyEcashDO> getCurrencyEcashList(Collection<Integer> ids);

    /**
     * 获得E-Cash汇率单位分页
     *
     * @param pageReqVO 分页查询
     * @return E-Cash汇率单位分页
     */
    PageResult<CurrencyEcashDO> getCurrencyEcashPage(CurrencyEcashPageReqVO pageReqVO);

    /**
     * 获得E-Cash汇率单位列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return E-Cash汇率单位列表
     */
    List<CurrencyEcashDO> getCurrencyEcashList(CurrencyEcashExportReqVO exportReqVO);

    void batchUpdateCurrencyEcash(List<CurrencyEcashUpdateReqVO> updateReqVO);

    List<CurrencyEcashDO> getAllCurrency();

    void updateCurrencyEcashAll(CurrencyEcashDO currencyEcashDO);
}
