package cn.iocoder.yudao.module.ecw.service.exchangeRate;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.ecw.vo.exchangeRate.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.exchangeRate.ExchangeRateDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 汇率管理 Service 接口
 *
 * @author 系统管理员
 */
public interface ExchangeRateService extends IService<ExchangeRateDO> {

    /**
     * 创建汇率管理
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createExchangeRate(@Valid ExchangeRateCreateReqVO createReqVO);

    /**
     * 更新汇率管理
     * @param updateReqVO 更新信息
     */
    void updateExchangeRate(@Valid ExchangeRateUpdateReqVO updateReqVO);

    /**
     * 删除汇率管理
     * @param id 编号
     */
    void deleteExchangeRate(Long id);

    /**
     * 获得汇率管理
     * @param id 编号
     * @return 汇率管理
     */
    ExchangeRateDO getExchangeRate(Long id);

    /**
     * 获得汇率管理列表
     * @param ids 编号
     * @return 汇率管理列表
     */
    List<ExchangeRateDO> getExchangeRateList(Collection<Long> ids);

    /**
     * 获得汇率管理分页
     * @param page 分页查询
     * @param query 查询
     * @return 汇率管理分页
     */
    PageResult<ExchangeRateDO> getExchangeRatePage(ExchangeRateQueryVO query, PageVO page);

    /**
     * 获得汇率管理列表, 用于 Excel 导出
     * @param query 查询
     * @return 汇率管理列表
     */
    List<ExchangeRateDO> getExchangeRateList(ExchangeRateQueryVO query);
}
