package cn.iocoder.yudao.module.ecw.service.exchangeRateLog;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.ecw.vo.exchangeRateLog.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.exchangeRateLog.ExchangeRateLogDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 汇率变更记录 Service 接口
 *
 * @author 系统管理员
 */
public interface ExchangeRateLogService extends IService<ExchangeRateLogDO> {

    /**
     * 创建汇率变更记录
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createExchangeRateLog(@Valid ExchangeRateLogCreateReqVO createReqVO);

    /**
     * 更新汇率变更记录
     * @param updateReqVO 更新信息
     */
    void updateExchangeRateLog(@Valid ExchangeRateLogUpdateReqVO updateReqVO);

    /**
     * 删除汇率变更记录
     * @param id 编号
     */
    void deleteExchangeRateLog(Long id);

    /**
     * 获得汇率变更记录
     * @param id 编号
     * @return 汇率变更记录
     */
    ExchangeRateLogDO getExchangeRateLog(Long id);

    /**
     * 获得汇率变更记录列表
     * @param ids 编号
     * @return 汇率变更记录列表
     */
    List<ExchangeRateLogDO> getExchangeRateLogList(Collection<Long> ids);

    /**
     * 获得汇率变更记录分页
     * @param page 分页查询
     * @param query 查询
     * @return 汇率变更记录分页
     */
    PageResult<ExchangeRateLogDO> getExchangeRateLogPage(ExchangeRateLogQueryVO query, PageVO page);

    /**
     * 获得汇率变更记录列表, 用于 Excel 导出
     * @param query 查询
     * @return 汇率变更记录列表
     */
    List<ExchangeRateLogDO> getExchangeRateLogList(ExchangeRateLogQueryVO query);
}
