package cn.iocoder.yudao.module.ecw.service.express;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.express.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.express.ExpressDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 配送管理 Service 接口
 *
 * @author yanghao
 */
public interface ExpressService {

    /**
     * 创建配送管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createExpress(@Valid ExpressCreateReqVO createReqVO);

    /**
     * 更新配送管理
     *
     * @param updateReqVO 更新信息
     */
    void updateExpress(@Valid ExpressUpdateReqVO updateReqVO);

    /**
     * 删除配送管理
     *
     * @param id 编号
     */
    void deleteExpress(Long id);

    /**
     * 获得配送管理
     *
     * @param id 编号
     * @return 配送管理
     */
    ExpressDO getExpress(Long id);

    /**
     * 获得配送管理列表
     *
     * @param ids 编号
     * @return 配送管理列表
     */
    List<ExpressDO> getExpressList(Collection<Long> ids);

    /**
     * 获得配送管理分页
     *
     * @param pageReqVO 分页查询
     * @return 配送管理分页
     */
    PageResult<ExpressDO> getExpressPage(ExpressPageReqVO pageReqVO);

    /**
     * 获得配送管理列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 配送管理列表
     */
    List<ExpressDO> getExpressList(ExpressExportReqVO exportReqVO);

    List<ExpressDO> list();
}
