package cn.iocoder.yudao.module.ecw.service.internalMessageTo;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.ecw.vo.internalMessageTo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.internalMessageTo.InternalMessageToDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 站内信读取信息 Service 接口
 *
 * @author 系统管理员
 */
public interface InternalMessageToService extends IService<InternalMessageToDO> {

    /**
     * 创建站内信读取信息
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createInternalMessageTo(@Valid InternalMessageToCreateReqVO createReqVO);

    /**
     * 更新站内信读取信息
     * @param updateReqVO 更新信息
     */
    void updateInternalMessageTo(@Valid InternalMessageToUpdateReqVO updateReqVO);

    /**
     * 删除站内信读取信息
     * @param id 编号
     */
    void deleteInternalMessageTo(Long id);

    /**
     * 获得站内信读取信息
     * @param id 编号
     * @return 站内信读取信息
     */
    InternalMessageToDO getInternalMessageTo(Long id);

    /**
     * 获得站内信读取信息列表
     * @param ids 编号
     * @return 站内信读取信息列表
     */
    List<InternalMessageToDO> getInternalMessageToList(Collection<Long> ids);

    /**
     * 获得站内信读取信息分页
     * @param page 分页查询
     * @param query 查询
     * @return 站内信读取信息分页
     */
    PageResult<InternalMessageToDO> getInternalMessageToPage(InternalMessageToQueryVO query, PageVO page);

    /**
     * 获得站内信读取信息列表, 用于 Excel 导出
     * @param query 查询
     * @return 站内信读取信息列表
     */
    List<InternalMessageToDO> getInternalMessageToList(InternalMessageToQueryVO query);
}
