package cn.iocoder.yudao.module.ecw.service.ladingTemplate;

import cn.iocoder.yudao.module.ecw.controller.admin.ladingTemplate.vo.LadingTemplateCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.ladingTemplate.vo.LadingTemplateUpdateReqVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.ladingTemplate.LadingTemplateDO;

import javax.validation.Valid;
import java.util.Collection;
import java.util.List;

/**
 * 提单模板 Service 接口
 *
 * @author 系统管理员
 */
public interface LadingTemplateService {

    /**
     * 创建提单模板
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLadingTemplate(@Valid LadingTemplateCreateReqVO createReqVO);

    /**
     * 更新提单模板
     * @param updateReqVO 更新信息
     */
    void updateLadingTemplate(@Valid LadingTemplateUpdateReqVO updateReqVO);

    /**
     * 删除提单模板
     * @param id 编号
     */
    void deleteLadingTemplate(Long id);

    /**
     * 获得提单模板
     * @param id 编号
     * @return 提单模板
     */
    LadingTemplateDO getLadingTemplate(Long id);

    /**
     * 获得提单模板列表
     * @param ids 编号
     * @return 提单模板列表
     */
    List<LadingTemplateDO> getLadingTemplateList(Collection<Long> ids);

    LadingTemplateDO getLadingTemplateByLineId(Long lineId);

    /**
     * 获得提单模板分页
     * @param page 分页查询
     * @param query 查询
     * @return 提单模板分页
     */
//    PageResult<LadingTemplateDO> getLadingTemplatePage(LadingTemplateQueryVO query, PageVO page);

    /**
     * 获得提单模板列表, 用于 Excel 导出
     * @param query 查询
     * @return 提单模板列表
     */
//    List<LadingTemplateDO> getLadingTemplateList(LadingTemplateQueryVO query);
}
