package cn.iocoder.yudao.module.ecw.service.messageLeave;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.messageLeave.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.messageLeave.MessageLeaveDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;

/**
 * 留言 Service 接口
 *
 * @author yanghao
 */
public interface MessageLeaveService extends IService<MessageLeaveDO> {

    /**
     * 创建留言
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createMessageLeave(@Valid MessageLeaveCreateReqVO createReqVO);

    /**
     * 更新留言
     *
     * @param updateReqVO 更新信息
     */
    void updateMessageLeave(@Valid MessageLeaveUpdateReqVO updateReqVO);

    /**
     * 删除留言
     *
     * @param id 留言id
     */
    void deleteReply(Long id);

    void reply(@Valid MessageLeaveReplyReqVO replyReqVO);

    /**
     * 删除留言
     *
     * @param id 编号
     */
    void deleteMessageLeave(Long id);

    /**
     * 获得留言
     *
     * @param id 编号
     * @return 留言
     */
    MessageLeaveDO getMessageLeave(Long id);

    /**
     * 获得留言列表
     *
     * @param ids 编号
     * @return 留言列表
     */
    List<MessageLeaveDO> getMessageLeaveList(Collection<Long> ids);

    /**
     * 获得留言分页
     *
     * @param pageReqVO 分页查询
     * @return 留言分页
     */
    PageResult<MessageLeaveDO> getMessageLeavePage(MessageLeavePageReqVO pageReqVO);

    /**
     * 获得留言列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 留言列表
     */
    List<MessageLeaveDO> getMessageLeaveList(MessageLeaveExportReqVO exportReqVO);

}
