package cn.iocoder.yudao.module.ecw.service.orderCode;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.orderCode.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.orderCode.OrderCodeDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 单号配置 Service 接口
 *
 * @author yanghao
 */
public interface OrderCodeService {

    /**
     * 创建单号配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOrderCode(@Valid OrderCodeCreateReqVO createReqVO);

    /**
     * 更新单号配置
     *
     * @param updateReqVO 更新信息
     */
    void updateOrderCode(@Valid OrderCodeUpdateReqVO updateReqVO);

    /**
     * 删除单号配置
     *
     * @param id 编号
     */
    void deleteOrderCode(Long id);

    /**
     * 获得单号配置
     *
     * @param id 编号
     * @return 单号配置
     */
    OrderCodeDO getOrderCode(Long id);

    /**
     * 获得单号配置列表
     *
     * @param ids 编号
     * @return 单号配置列表
     */
    List<OrderCodeDO> getOrderCodeList(Collection<Long> ids);

    /**
     * 获得单号配置分页
     *
     * @param pageReqVO 分页查询
     * @return 单号配置分页
     */
    PageResult<OrderCodeDO> getOrderCodePage(OrderCodePageReqVO pageReqVO);

    /**
     * 获得单号配置列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 单号配置列表
     */
    List<OrderCodeDO> getOrderCodeList(OrderCodeExportReqVO exportReqVO);

}
