package cn.iocoder.yudao.module.ecw.service.pickupLoc;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.pickupLoc.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.pickupLoc.PickupLocDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 自提点 Service 接口
 *
 * @author wlh
 */
public interface PickupLocService {

    /**
     * 创建自提点
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPickupLoc(@Valid PickupLocCreateReqVO createReqVO);

    /**
     * 更新自提点
     *
     * @param updateReqVO 更新信息
     */
    void updatePickupLoc(@Valid PickupLocUpdateReqVO updateReqVO);

    /**
     * 删除自提点
     *
     * @param id 编号
     */
    void deletePickupLoc(Long id);

    /**
     * 获得自提点
     *
     * @param id 编号
     * @return 自提点
     */
    PickupLocDO getPickupLoc(Long id);

    /**
     * 获得自提点列表
     *
     * @param ids 编号
     * @return 自提点列表
     */
    List<PickupLocDO> getPickupLocList(Collection<Long> ids);

    /**
     * 获得自提点分页
     *
     * @param pageReqVO 分页查询
     * @return 自提点分页
     */
    PageResult<PickupLocDO> getPickupLocPage(PickupLocPageReqVO pageReqVO);

    /**
     * 获得自提点列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 自提点列表
     */
    List<PickupLocDO> getPickupLocList(PickupLocExportReqVO exportReqVO);

}
