package cn.iocoder.yudao.module.ecw.service.supplier;

import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierBankDO;
import cn.iocoder.yudao.module.ecw.dal.mysql.supplier.SupplierBankMapper;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;

import java.util.*;


/**
 * 供应商银行账户 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class SupplierBankServiceImpl implements SupplierBankService {

    @Resource
    private SupplierBankMapper supplierBankMapper;

    @Override
    public void deleteSupplierBank(Long id) {
        // 删除
        supplierBankMapper.deleteById(id);
    }

    @Override
    public SupplierBankDO getSupplierBank(Long id) {
        return supplierBankMapper.selectById(id);
    }

    @Override
    public List<SupplierBankDO> getSupplierBankList(Collection<Long> ids) {
        return supplierBankMapper.selectBatchIds(ids);
    }

    @Override
    public List<SupplierBankDO> getSupplierBankList(Long supplierId) {
        return supplierBankMapper.selectList(supplierId);
    }

}
