package cn.iocoder.yudao.module.ecw.service.supplier;

import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierContactsDO;

import java.util.*;

/**
 * 供应商联系人 Service 接口
 *
 * @author wlh
 */
public interface SupplierContactsService {

    /**
     * 删除供应商联系人
     *
     * @param id 编号
     */
    void deleteSupplierContacts(Long id);

    /**
     * 获得供应商联系人
     *
     * @param id 编号
     * @return 供应商联系人
     */
    SupplierContactsDO getSupplierContacts(Long id);

    /**
     * 获得供应商联系人列表
     *
     * @param ids 编号
     * @return 供应商联系人列表
     */
    List<SupplierContactsDO> getSupplierContactsList(Collection<Long> ids);


    /**
     * 获得供应商联系人列表, 用于 Excel 导出
     *
     * @param supplierId 查询条件
     */
    List<SupplierContactsDO> getSupplierContactsList(Long supplierId);

}
