package cn.iocoder.yudao.module.ecw.service.supplier;

import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierContactsDO;
import cn.iocoder.yudao.module.ecw.dal.mysql.supplier.SupplierContactsMapper;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;

import java.util.*;


/**
 * 供应商联系人 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class SupplierContactsServiceImpl implements SupplierContactsService {

    @Resource
    private SupplierContactsMapper supplierContactsMapper;

    @Override
    public void deleteSupplierContacts(Long id) {
        // 删除
        supplierContactsMapper.deleteById(id);
    }

    @Override
    public SupplierContactsDO getSupplierContacts(Long id) {
        return supplierContactsMapper.selectById(id);
    }

    @Override
    public List<SupplierContactsDO> getSupplierContactsList(Collection<Long> ids) {
        return supplierContactsMapper.selectBatchIds(ids);
    }

    @Override
    public List<SupplierContactsDO> getSupplierContactsList(Long supplierId) {
        return supplierContactsMapper.selectList(supplierId);
    }

}
