package cn.iocoder.yudao.module.ecw.service.supplier;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalQueryVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalUpdateReqVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierExternalDO;

/**
 * 国外供应商详情 Service 接口
 *
 * @author wlh
 */
public interface SupplierExternalService extends IService<SupplierExternalDO> {

    /**
     * 创建国外供应商详情
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSupplierExternal(@Valid SupplierExternalCreateReqVO createReqVO);

    /**
     * 更新国外供应商详情
     * @param updateReqVO 更新信息
     */
    void updateSupplierExternal(@Valid SupplierExternalUpdateReqVO updateReqVO);

    /**
     * 删除国外供应商详情
     * @param id 编号
     */
    void deleteSupplierExternal(Long id);

    /**
     * 获得国外供应商详情
     * @param id 编号
     * @return 国外供应商详情
     */
    SupplierExternalDO getSupplierExternal(Long id);

    /**
     * 获得国外供应商详情列表
     * @param ids 编号
     * @return 国外供应商详情列表
     */
    List<SupplierExternalDO> getSupplierExternalList(Collection<Long> ids);

    /**
     * 获得国外供应商详情分页
     * @param page 分页查询
     * @param query 查询
     * @return 国外供应商详情分页
     */
    PageResult<SupplierExternalDO> getSupplierExternalPage(SupplierExternalQueryVO query, PageVO page);

    /**
     * 获得国外供应商详情列表, 用于 Excel 导出
     * @param query 查询
     * @return 国外供应商详情列表
     */
    List<SupplierExternalDO> getSupplierExternalList(SupplierExternalQueryVO query);
}
