package cn.iocoder.yudao.module.ecw.service.supplier;

import java.util.*;
import javax.annotation.Resource;

import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalQueryVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalUpdateReqVO;
import cn.iocoder.yudao.module.ecw.convert.supplier.SupplierExternalConvert;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierExternalDO;
import cn.iocoder.yudao.module.ecw.dal.mysql.supplier.SupplierExternalMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 国外供应商详情 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class SupplierExternalServiceImpl extends AbstractService<SupplierExternalMapper, SupplierExternalDO> implements SupplierExternalService {

    @Resource
    private SupplierExternalMapper supplierExternalMapper;

    @Override
    public Long createSupplierExternal(SupplierExternalCreateReqVO createReqVO) {
        // 插入
        SupplierExternalDO supplierExternal = SupplierExternalConvert.INSTANCE.convert(createReqVO);
        supplierExternalMapper.insert(supplierExternal);
        // 返回
        return supplierExternal.getId();
    }

    @Override
    public void updateSupplierExternal(SupplierExternalUpdateReqVO updateReqVO) {
        // 更新
        SupplierExternalDO updateObj = SupplierExternalConvert.INSTANCE.convert(updateReqVO);
        supplierExternalMapper.updateById(updateObj);
    }

    @Override
    public void deleteSupplierExternal(Long id) {
        // 删除
        supplierExternalMapper.deleteById(id);
    }

    @Override
    public SupplierExternalDO getSupplierExternal(Long id) {
        return supplierExternalMapper.selectById(id);
    }

    @Override
    public List<SupplierExternalDO> getSupplierExternalList(Collection<Long> ids) {
        return supplierExternalMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<SupplierExternalDO> getSupplierExternalPage(SupplierExternalQueryVO query, PageVO page) {
        return supplierExternalMapper.selectPage(page, query);
    }

    @Override
    public List<SupplierExternalDO> getSupplierExternalList(SupplierExternalQueryVO query) {
        return supplierExternalMapper.selectList(query);
    }
}
