package cn.iocoder.yudao.module.ecw.service.supplier;

import java.util.*;
import javax.annotation.Resource;

import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceQueryVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceUpdateReqVO;
import cn.iocoder.yudao.module.ecw.convert.supplier.SupplierResourceConvert;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierResourceDO;
import cn.iocoder.yudao.module.ecw.dal.mysql.supplier.SupplierResourceMapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import static cn.iocoder.yudao.framework.common.exception.util.ServiceExceptionUtil.exception;

/**
 * 国内供应商优质资源条件 Service 实现类
 *
 * @author wlh
 */
@Service
@Validated
public class SupplierResourceServiceImpl extends AbstractService<SupplierResourceMapper, SupplierResourceDO> implements SupplierResourceService {

    @Resource
    private SupplierResourceMapper supplierResourceMapper;

    @Override
    public Long createSupplierResource(SupplierResourceCreateReqVO createReqVO) {
        // 插入
        SupplierResourceDO supplierResource = SupplierResourceConvert.INSTANCE.convert(createReqVO);
        supplierResourceMapper.insert(supplierResource);
        // 返回
        return supplierResource.getId();
    }

    @Override
    public void updateSupplierResource(SupplierResourceUpdateReqVO updateReqVO) {
        // 更新
        SupplierResourceDO updateObj = SupplierResourceConvert.INSTANCE.convert(updateReqVO);
        supplierResourceMapper.updateById(updateObj);
    }

    @Override
    public void deleteSupplierResource(Long id) {
        // 删除
        supplierResourceMapper.deleteById(id);
    }


    @Override
    public SupplierResourceDO getSupplierResource(Long id) {
        return supplierResourceMapper.selectById(id);
    }

    @Override
    public List<SupplierResourceDO> getSupplierResourceList(Collection<Long> ids) {
        return supplierResourceMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<SupplierResourceDO> getSupplierResourcePage(SupplierResourceQueryVO query, PageVO page) {
        return supplierResourceMapper.selectPage(page, query);
    }

    @Override
    public List<SupplierResourceDO> getSupplierResourceList(SupplierResourceQueryVO query) {
        return supplierResourceMapper.selectList(query);
    }
}
