package cn.iocoder.yudao.module.ecw.service.unit;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.unit.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.unit.UnitDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 计量单位 Service 接口
 *
 * @author 久点源码
 */
public interface UnitService {

    /**
     * 创建计量单位
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createUnit(@Valid UnitCreateReqVO createReqVO);

    /**
     * 更新计量单位
     *
     * @param updateReqVO 更新信息
     */
    void updateUnit(@Valid UnitUpdateReqVO updateReqVO);
    void updateUnitStatus(@Valid UnitUpdateStatusReqVO updateReqVO);

    /**
     * 删除计量单位
     *
     * @param id 编号
     */
    void deleteUnit(Integer id);

    /**
     * 获得计量单位
     *
     * @param id 编号
     * @return 计量单位
     */
    UnitDO getUnit(Integer id);

    /**
     * 获得计量单位列表
     *
     * @return 计量单位列表
     */
    List<UnitDO> getUnitList();

    /**
     * 获得计量单位分页
     *
     * @param pageReqVO 分页查询
     * @return 计量单位分页
     */
    PageResult<UnitDO> getUnitPage(UnitPageReqVO pageReqVO);

    /**
     * 获得计量单位列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 计量单位列表
     */
    List<UnitDO> getUnitList(UnitExportReqVO exportReqVO);

    List<UnitDO> list();
}
