package cn.iocoder.yudao.module.ecw.vo.adminClient;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 我的客户 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 我的客户 Response VO")
public class AdminClientBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("分组id")
    @ApiModelProperty(value = "分组id")
    private Long pid;

    @ExcelProperty("用户id")
    @ApiModelProperty(value = "用户id")
    private Long uid;

    @ExcelProperty("排序")
    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ExcelProperty("姓名")
    @ApiModelProperty(value = "姓名")
    private String name;

    @ExcelProperty("英文姓名")
    @ApiModelProperty(value = "英文姓名")
    private String nameEn;

    @ExcelProperty("公司")
    @ApiModelProperty(value = "公司")
    private String company;

    @ExcelProperty("英文公司")
    @ApiModelProperty(value = "英文公司")
    private String companyEn;

    @ExcelProperty("唛头")
    @ApiModelProperty(value = "唛头")
    private String maitou;

    @ExcelProperty("手机号码(不带区号)")
    @ApiModelProperty(value = "手机号码(不带区号)")
    private String phone;

    @ExcelProperty("邮箱")
    @ApiModelProperty(value = "邮箱")
    private String email;

    @ExcelProperty("地址")
    @ApiModelProperty(value = "地址")
    private String address;

    @ExcelProperty("国家简称")
    @ApiModelProperty(value = "国家简称")
    private String iso2;

    @ExcelProperty("是否默认联系人")
    @ApiModelProperty(value = "是")
    private Boolean defaultContact;

    @ExcelProperty("国家区号")
    @ApiModelProperty(value = "国家区号", required = true)
    private Integer dialCode;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
