package cn.iocoder.yudao.module.ecw.vo.adminClient;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 我的客户 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class AdminClientBaseVO {

    @ApiModelProperty(value = "分组id")
    private Long pid;

    @ApiModelProperty(value = "用户id")
    private Long uid;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "姓名英文")
    private String nameEn;

    @ApiModelProperty(value = "公司")
    private String company;

    @ApiModelProperty(value = "公司英文")
    private String companyEn;

    @ApiModelProperty(value = "唛头")
    private String maitou;

    @ApiModelProperty(value = "手机号码(不带区号)")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "国家简称")
    private String iso2;

    @ApiModelProperty(value = "国家区号", required = true)
    @NotNull(message = "国家区号不能为空")
    private Integer dialCode;

    @ApiModelProperty(value = "是否默认联系人")
    private Boolean defaultContact;

}
