package cn.iocoder.yudao.module.ecw.vo.adminClient;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 我的客户查询 VO")
public class AdminClientQueryVO {

    @ApiModelProperty(value = "分组id")
    private Long pid;

    @ApiModelProperty(value = "用户id")
    private Long uid;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "姓名英文")
    private String nameEn;

    @ApiModelProperty(value = "公司")
    private String company;

    @ApiModelProperty(value = "公司英文")
    private String companyEn;

    @ApiModelProperty(value = "唛头")
    private String maitou;

    @ApiModelProperty(value = "手机号码(不带区号)")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "国家简称")
    private String iso2;

    @ApiModelProperty(value = "国家区号")
    private Integer dialCode;

    @ApiModelProperty(value = "是")
    private Boolean defaultContact;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;


    @ApiModelProperty(value = "搜索关键字")
    private String searchKey;

}
