package cn.iocoder.yudao.module.ecw.vo.adminClienta;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 我的供应商 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 我的供应商 Response VO")
public class AdminClientaBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("分组id")
    @ApiModelProperty(value = "分组id")
    private Long pid;

    @ExcelProperty("用户id")
    @ApiModelProperty(value = "用户id")
    private Long uid;

    @ExcelProperty("排序")
    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ExcelProperty("供应商名称")
    @ApiModelProperty(value = "供应商名称")
    private String name;

    @ExcelProperty("供应商公司名称")
    @ApiModelProperty(value = "供应商公司名称")
    private String company;

    @ExcelProperty("唛头")
    @ApiModelProperty(value = "唛头")
    private String maitou;

    @ExcelProperty("电话")
    @ApiModelProperty(value = "电话")
    private String phone;

    @ExcelProperty("邮箱")
    @ApiModelProperty(value = "邮箱")
    private String email;

    @ExcelProperty("地址")
    @ApiModelProperty(value = "地址")
    private String address;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
