package cn.iocoder.yudao.module.ecw.vo.country;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 国家区号 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CountryBaseVO {

    @ApiModelProperty(value = "国家中文名称", required = true)
    @NotNull(message = "国家中文名称不能为空")
    private String nameZh;

    @ApiModelProperty(value = "国家英文名称", required = true)
    @NotNull(message = "国家英文名称不能为空")
    private String nameEn;

    @ApiModelProperty(value = "简称")
    private String nameShort;

    @ApiModelProperty(value = "电话区号")
    private String tel;

    @ApiModelProperty(value = "排序 值越大排序越靠前")
    private Integer sort;



}
