package cn.iocoder.yudao.module.ecw.vo.exchangeRate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 汇率管理 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("管理后台 - 汇率管理 Response VO")
public class ExchangeRateBackVO {

    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ApiModelProperty(value = "原币种", required = true)
    private Long sourceCurrencyId;

    @ApiModelProperty(value = "原币种代码", required = true)
    private String sourceCurrencyCode;

    @ApiModelProperty(value = "目标币种", required = true)
    private Long targetCurrencyId;

    @ApiModelProperty(value = "目标种代码", required = true)
    private String targetCurrencyCode;

    @ApiModelProperty(value = "汇率", required = true)
    private java.math.BigDecimal currencyRate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String creator;
    @ApiModelProperty(value = "创建人姓名")
    private String creatorName;

    @ApiModelProperty(value = "备注")
    private String note;

    @ApiModelProperty(value = "最后更新人")
    private String updater;

    @ApiModelProperty(value = "最后更新人姓名")
    private String updaterName;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "最后更新时间", required = true)
    private String updateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "有效期", required = true)
    private String expireDate;


}
