package cn.iocoder.yudao.module.ecw.vo.exchangeRate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 汇率管理 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class ExchangeRateBaseVO {

    @ApiModelProperty(value = "原币种", required = true)
    @NotNull(message = "原币种不能为空")
    private Long sourceCurrencyId;

    @ApiModelProperty(value = "原币种代码", required = true)
    @NotNull(message = "原币种代码不能为空")
    private String sourceCurrencyCode;

    @ApiModelProperty(value = "目标币种", required = true)
    @NotNull(message = "目标币种不能为空")
    private Long targetCurrencyId;

    @ApiModelProperty(value = "目标种代码", required = true)
    @NotNull(message = "目标种代码不能为空")
    private String targetCurrencyCode;

    @ApiModelProperty(value = "汇率", required = true)
    @NotNull(message = "汇率不能为空")
    private java.math.BigDecimal currencyRate;

    @ApiModelProperty(value = "备注")
    private String note;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "汇率有效截止日期")
    private Date expireDate;

}
