package cn.iocoder.yudao.module.ecw.vo.exchangeRateLog;

import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 汇率变更记录 Response VO
 *
 * @author 系统管理员
 */
@Data
@ApiModel("管理后台 - 汇率变更记录 Response VO")
public class ExchangeRateLogBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("变更人")
    @ApiModelProperty(value = "变更人", required = true)
    private String changeName;

    @ExcelProperty(value = "汇率ID", converter = DictConvert.class)
    @ApiModelProperty(value = "汇率ID", required = true)
    private Long rateId;

    @ExcelProperty("变更时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "变更时间", required = true)
    private Date changeTime;

    @ApiModelProperty(value = "变更前的值")
    private String beforeChangeSourceValue;

    @ApiModelProperty(value = "变更后的值")
    private String afterChangeSourceValue;

    @ApiModelProperty(value = "变更前的值")
    private String beforeChangeTargetValue;

    @ApiModelProperty(value = "变更后的值")
    private String afterChangeTargetValue;


    @ExcelProperty(value = "变更前的值", converter = DictConvert.class)
    @ApiModelProperty(value = "变更前的值")
    private String beforeChangeValue;

    @ExcelProperty(value = "变更后的值", converter = DictConvert.class)
    @ApiModelProperty(value = "变更后的值")
    private String afterChangeValue;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
