package cn.iocoder.yudao.module.ecw.vo.exchangeRateLog;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 汇率变更记录 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class ExchangeRateLogBaseVO {

    @ApiModelProperty(value = "变更人", required = true)
    @NotNull(message = "变更人不能为空")
    private String changeName;

    @ApiModelProperty(value = "汇率ID", required = true)
    @NotNull(message = "汇率ID不能为空")
    private Long rateId;

    @ApiModelProperty(value = "变更时间", required = true)
    @NotNull(message = "变更时间不能为空")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date changeTime;

    @ApiModelProperty(value = "变更前的值")
    private String beforeChangeSourceValue;

    @ApiModelProperty(value = "变更后的值")
    private String afterChangeSourceValue;

    @ApiModelProperty(value = "变更前的值")
    private String beforeChangeTargetValue;

    @ApiModelProperty(value = "变更后的值")
    private String afterChangeTargetValue;

    @ApiModelProperty(value = "变更前的值")
    private String beforeChangeValue;

    @ApiModelProperty(value = "变更后的值")
    private String afterChangeValue;

}
