package cn.iocoder.yudao.module.ecw.vo.exchangeRateLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 汇率变更记录查询 VO")
public class ExchangeRateLogQueryVO {

    @ApiModelProperty(value = "变更人")
    private String changeName;

    @ApiModelProperty(value = "汇率ID")
    private Long rateId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始变更时间")
    private Date beginChangeTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束变更时间")
    private Date endChangeTime;

    @ApiModelProperty(value = "变更前的值")
    private String beforeChangeValue;

    @ApiModelProperty(value = "变更后的值")
    private String afterChangeValue;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
