package cn.iocoder.yudao.module.ecw.vo.internalMessageTo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 站内信读取信息 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 站内信读取信息 Response VO")
public class InternalMessageToBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("站内信ID")
    @ApiModelProperty(value = "站内信ID")
    private Long messageId;

    @ExcelProperty("读取对象ID")
    @ApiModelProperty(value = "读取对象ID")
    private Long toId;

    @ExcelProperty("读信息时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "读信息时间")
    private Date readTime;

    @ExcelProperty("0未读 1已读")
    @ApiModelProperty(value = "0未读 1已读")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
