//package cn.iocoder.yudao.module.ecw.service.warehouse;
//
//import org.junit.jupiter.api.Disabled;
//import org.junit.jupiter.api.Test;
//import org.springframework.boot.test.mock.mockito.MockBean;
//
//import javax.annotation.Resource;
//
//import cn.iocoder.yudao.module.ecw.test.BaseDbUnitTest;
//import cn.iocoder.yudao.module.ecw.controller.admin.warehouse.vo.*;
//import cn.iocoder.yudao.module.ecw.dal.dataobject.warehouse.WarehouseDO;
//import cn.iocoder.yudao.module.ecw.dal.mysql.warehouse.WarehouseMapper;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
//import javax.annotation.Resource;
//import org.springframework.context.annotation.Import;
//import java.util.*;
//
//import static cn.hutool.core.util.RandomUtil.*;
//import static cn.iocoder.yudao.module.ecw.enums.ErrorCodeConstants.*;
//import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
//import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
//import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
//import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
//import static org.junit.jupiter.api.Assertions.*;
//import static org.mockito.Mockito.*;
//
///**
//* {@link WarehouseServiceImpl} 的单元测试类
//*
//* @author wlh
//*/
//@Import(WarehouseServiceImpl.class)
//public class WarehouseServiceImplTest extends BaseDbUnitTest {
//
//    @Resource
//    private WarehouseServiceImpl warehouseService;
//
//    @Resource
//    private WarehouseMapper warehouseMapper;
//
//    @Test
//    public void testCreateWarehouse_success() {
//        // 准备参数
//        WarehouseCreateReqVO reqVO = randomPojo(WarehouseCreateReqVO.class);
//
//        // 调用
//        Long warehouseId = warehouseService.createWarehouse(reqVO);
//        // 断言
//        assertNotNull(warehouseId);
//        // 校验记录的属性是否正确
//        WarehouseDO warehouse = warehouseMapper.selectById(warehouseId);
//        assertPojoEquals(reqVO, warehouse);
//    }
//
//    @Test
//    public void testUpdateWarehouse_success() {
//        // mock 数据
//        WarehouseDO dbWarehouse = randomPojo(WarehouseDO.class);
//        warehouseMapper.insert(dbWarehouse);// @Sql: 先插入出一条存在的数据
//        // 准备参数
//        WarehouseUpdateReqVO reqVO = randomPojo(WarehouseUpdateReqVO.class, o -> {
//            o.setId(dbWarehouse.getId()); // 设置更新的 ID
//        });
//
//        // 调用
//        warehouseService.updateWarehouse(reqVO);
//        // 校验是否更新正确
//        WarehouseDO warehouse = warehouseMapper.selectById(reqVO.getId()); // 获取最新的
//        assertPojoEquals(reqVO, warehouse);
//    }
//
//    @Test
//    public void testUpdateWarehouse_notExists() {
//        // 准备参数
//        WarehouseUpdateReqVO reqVO = randomPojo(WarehouseUpdateReqVO.class);
//
//        // 调用, 并断言异常
//        assertServiceException(() -> warehouseService.updateWarehouse(reqVO), WAREHOUSE_NOT_EXISTS);
//    }
//
//    @Test
//    public void testDeleteWarehouse_success() {
//        // mock 数据
//        WarehouseDO dbWarehouse = randomPojo(WarehouseDO.class);
//        warehouseMapper.insert(dbWarehouse);// @Sql: 先插入出一条存在的数据
//        // 准备参数
//        Long id = dbWarehouse.getId();
//
//        // 调用
//        warehouseService.deleteWarehouse(id);
//       // 校验数据不存在了
//       assertNull(warehouseMapper.selectById(id));
//    }
//
//    @Test
//    public void testDeleteWarehouse_notExists() {
//        // 准备参数
//        Long id = randomLongId();
//
//        // 调用, 并断言异常
//        assertServiceException(() -> warehouseService.deleteWarehouse(id), WAREHOUSE_NOT_EXISTS);
//    }
//
//    @Test
//    @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//    public void testGetWarehousePage() {
//       // mock 数据
//       WarehouseDO dbWarehouse = randomPojo(WarehouseDO.class, o -> { // 等会查询到
//           o.setPid(null);
//           o.setType(null);
//           o.setNumber(null);
//           o.setTitleZh(null);
//           o.setTitleEn(null);
//           o.setVolume(null);
//           o.setAddressZh(null);
//           o.setAddressEn(null);
//           o.setZhou(null);
//           o.setGuojia(null);
//           o.setSheng(null);
//           o.setShi(null);
//           o.setHead(null);
//           o.setTell(null);
//           o.setTradeType(null);
//           o.setFreight(null);
//           o.setRemark(null);
//           o.setSort(null);
//           o.setStatus(null);
//           o.setCreateTime(null);
//       });
//       warehouseMapper.insert(dbWarehouse);
//       // 测试 pid 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setPid(null)));
//       // 测试 type 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setType(null)));
//       // 测试 number 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setNumber(null)));
//       // 测试 titleZh 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setTitleZh(null)));
//       // 测试 titleEn 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setTitleEn(null)));
//       // 测试 volume 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setVolume(null)));
//       // 测试 addressZh 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setAddressZh(null)));
//       // 测试 addressEn 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setAddressEn(null)));
//       // 测试 zhou 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setZhou(null)));
//       // 测试 guojia 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setGuojia(null)));
//       // 测试 sheng 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setSheng(null)));
//       // 测试 shi 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setShi(null)));
//       // 测试 head 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setHead(null)));
//       // 测试 tell 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setTell(null)));
//       // 测试 tradeType 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setTradeType(null)));
//       // 测试 freight 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setFreight(null)));
//       // 测试 remark 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setRemark(null)));
//       // 测试 sort 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setSort(null)));
//       // 测试 status 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setStatus(null)));
//       // 测试 createTime 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setCreateTime(null)));
//       // 准备参数
//       WarehousePageReqVO reqVO = new WarehousePageReqVO();
//       reqVO.setPid(null);
//       reqVO.setType(null);
//       reqVO.setNumber(null);
//       reqVO.setTitleZh(null);
//       reqVO.setTitleEn(null);
//       reqVO.setVolume(null);
//       reqVO.setAddressZh(null);
//       reqVO.setAddressEn(null);
//       reqVO.setZhou(null);
//       reqVO.setGuojia(null);
//       reqVO.setSheng(null);
//       reqVO.setShi(null);
//       reqVO.setHead(null);
//       reqVO.setTell(null);
//       reqVO.setTradeType(null);
//       reqVO.setFreight(null);
//       reqVO.setRemark(null);
//       reqVO.setSort(null);
//       reqVO.setStatus(null);
//       reqVO.setBeginCreateTime(null);
//       reqVO.setEndCreateTime(null);
//
//       // 调用
//       PageResult<WarehouseDO> pageResult = warehouseService.getWarehousePage(reqVO);
//       // 断言
//       assertEquals(1, pageResult.getTotal());
//       assertEquals(1, pageResult.getList().size());
//       assertPojoEquals(dbWarehouse, pageResult.getList().get(0));
//    }
//
//    @Test
//    @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//    public void testGetWarehouseList() {
//       // mock 数据
//       WarehouseDO dbWarehouse = randomPojo(WarehouseDO.class, o -> { // 等会查询到
//           o.setPid(null);
//           o.setType(null);
//           o.setNumber(null);
//           o.setTitleZh(null);
//           o.setTitleEn(null);
//           o.setVolume(null);
//           o.setAddressZh(null);
//           o.setAddressEn(null);
//           o.setZhou(null);
//           o.setGuojia(null);
//           o.setSheng(null);
//           o.setShi(null);
//           o.setHead(null);
//           o.setTell(null);
//           o.setTradeType(null);
//           o.setFreight(null);
//           o.setRemark(null);
//           o.setSort(null);
//           o.setStatus(null);
//           o.setCreateTime(null);
//       });
//       warehouseMapper.insert(dbWarehouse);
//       // 测试 pid 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setPid(null)));
//       // 测试 type 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setType(null)));
//       // 测试 number 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setNumber(null)));
//       // 测试 titleZh 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setTitleZh(null)));
//       // 测试 titleEn 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setTitleEn(null)));
//       // 测试 volume 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setVolume(null)));
//       // 测试 addressZh 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setAddressZh(null)));
//       // 测试 addressEn 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setAddressEn(null)));
//       // 测试 zhou 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setZhou(null)));
//       // 测试 guojia 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setGuojia(null)));
//       // 测试 sheng 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setSheng(null)));
//       // 测试 shi 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setShi(null)));
//       // 测试 head 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setHead(null)));
//       // 测试 tell 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setTell(null)));
//       // 测试 tradeType 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setTradeType(null)));
//       // 测试 freight 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setFreight(null)));
//       // 测试 remark 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setRemark(null)));
//       // 测试 sort 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setSort(null)));
//       // 测试 status 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setStatus(null)));
//       // 测试 createTime 不匹配
//       warehouseMapper.insert(cloneIgnoreId(dbWarehouse, o -> o.setCreateTime(null)));
//       // 准备参数
//       WarehouseExportReqVO reqVO = new WarehouseExportReqVO();
//       reqVO.setPid(null);
//       reqVO.setType(null);
//       reqVO.setNumber(null);
//       reqVO.setTitleZh(null);
//       reqVO.setTitleEn(null);
//       reqVO.setVolume(null);
//       reqVO.setAddressZh(null);
//       reqVO.setAddressEn(null);
//       reqVO.setZhou(null);
//       reqVO.setGuojia(null);
//       reqVO.setSheng(null);
//       reqVO.setShi(null);
//       reqVO.setHead(null);
//       reqVO.setTell(null);
//       reqVO.setTradeType(null);
//       reqVO.setFreight(null);
//       reqVO.setRemark(null);
//       reqVO.setSort(null);
//       reqVO.setStatus(null);
//       reqVO.setBeginCreateTime(null);
//       reqVO.setEndCreateTime(null);
//
//       // 调用
//       List<WarehouseDO> list = warehouseService.getWarehouseList(reqVO);
//       // 断言
//       assertEquals(1, list.size());
//       assertPojoEquals(dbWarehouse, list.get(0));
//    }
//
//}
