//package cn.iocoder.yudao.module.ecw.service.zhongPao;
//
//import org.junit.jupiter.api.Disabled;
//import org.junit.jupiter.api.Test;
//import org.springframework.boot.test.mock.mockito.MockBean;
//
//import javax.annotation.Resource;
//
//import cn.iocoder.yudao.module.ecw.test.BaseDbUnitTest;
//import cn.iocoder.yudao.module.ecw.controller.admin.zhongPao.vo.*;
//import cn.iocoder.yudao.module.ecw.dal.dataobject.zhongPao.ZhongPaoDO;
//import cn.iocoder.yudao.module.ecw.dal.mysql.zhongPao.ZhongPaoMapper;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
//import javax.annotation.Resource;
//import org.springframework.context.annotation.Import;
//import java.util.*;
//
//import static cn.hutool.core.util.RandomUtil.*;
//import static cn.iocoder.yudao.module.ecw.enums.ErrorCodeConstants.*;
//import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
//import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
//import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
//import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
//import static org.junit.jupiter.api.Assertions.*;
//import static org.mockito.Mockito.*;
//
///**
//* {@link ZhongPaoServiceImpl} 的单元测试类
//*
//* @author yanghao
//*/
//@Import(ZhongPaoServiceImpl.class)
//public class ZhongPaoServiceImplTest extends BaseDbUnitTest {
//
//    @Resource
//    private ZhongPaoServiceImpl zhongPaoService;
//
//    @Resource
//    private ZhongPaoMapper zhongPaoMapper;
//
//    @Test
//    public void testCreateZhongPao_success() {
//        // 准备参数
//        ZhongPaoCreateReqVO reqVO = randomPojo(ZhongPaoCreateReqVO.class);
//
//        // 调用
//        Long zhongPaoId = zhongPaoService.createZhongPao(reqVO);
//        // 断言
//        assertNotNull(zhongPaoId);
//        // 校验记录的属性是否正确
//        ZhongPaoDO zhongPao = zhongPaoMapper.selectById(zhongPaoId);
//        assertPojoEquals(reqVO, zhongPao);
//    }
//
//    @Test
//    public void testUpdateZhongPao_success() {
//        // mock 数据
//        ZhongPaoDO dbZhongPao = randomPojo(ZhongPaoDO.class);
//        zhongPaoMapper.insert(dbZhongPao);// @Sql: 先插入出一条存在的数据
//        // 准备参数
//        ZhongPaoUpdateReqVO reqVO = randomPojo(ZhongPaoUpdateReqVO.class, o -> {
//            o.setId(dbZhongPao.getId()); // 设置更新的 ID
//        });
//
//        // 调用
//        zhongPaoService.updateZhongPao(reqVO);
//        // 校验是否更新正确
//        ZhongPaoDO zhongPao = zhongPaoMapper.selectById(reqVO.getId()); // 获取最新的
//        assertPojoEquals(reqVO, zhongPao);
//    }
//
//    @Test
//    public void testUpdateZhongPao_notExists() {
//        // 准备参数
//        ZhongPaoUpdateReqVO reqVO = randomPojo(ZhongPaoUpdateReqVO.class);
//
//        // 调用, 并断言异常
//        assertServiceException(() -> zhongPaoService.updateZhongPao(reqVO), ZHONG_PAO_NOT_EXISTS);
//    }
//
//    @Test
//    public void testDeleteZhongPao_success() {
//        // mock 数据
//        ZhongPaoDO dbZhongPao = randomPojo(ZhongPaoDO.class);
//        zhongPaoMapper.insert(dbZhongPao);// @Sql: 先插入出一条存在的数据
//        // 准备参数
//        Long id = dbZhongPao.getId();
//
//        // 调用
//        zhongPaoService.deleteZhongPao(id);
//       // 校验数据不存在了
//       assertNull(zhongPaoMapper.selectById(id));
//    }
//
//    @Test
//    public void testDeleteZhongPao_notExists() {
//        // 准备参数
//        Long id = randomLongId();
//
//        // 调用, 并断言异常
//        assertServiceException(() -> zhongPaoService.deleteZhongPao(id), ZHONG_PAO_NOT_EXISTS);
//    }
//
//    @Test
//    @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//    public void testGetZhongPaoPage() {
//       // mock 数据
//       ZhongPaoDO dbZhongPao = randomPojo(ZhongPaoDO.class, o -> { // 等会查询到
//           o.setPaoIsOpen(null);
//           o.setZhongIsOpen(null);
//           o.setCreateTime(null);
//       });
//       zhongPaoMapper.insert(dbZhongPao);
//       // 测试 paoIsOpen 不匹配
//       zhongPaoMapper.insert(cloneIgnoreId(dbZhongPao, o -> o.setPaoIsOpen(null)));
//       // 测试 zhongIsOpen 不匹配
//       zhongPaoMapper.insert(cloneIgnoreId(dbZhongPao, o -> o.setZhongIsOpen(null)));
//       // 测试 createTime 不匹配
//       zhongPaoMapper.insert(cloneIgnoreId(dbZhongPao, o -> o.setCreateTime(null)));
//       // 准备参数
//       ZhongPaoPageReqVO reqVO = new ZhongPaoPageReqVO();
//       reqVO.setPaoIsOpen(null);
//       reqVO.setZhongIsOpen(null);
//       reqVO.setBeginCreateTime(null);
//       reqVO.setEndCreateTime(null);
//
//       // 调用
//       PageResult<ZhongPaoDO> pageResult = zhongPaoService.getZhongPaoPage(reqVO);
//       // 断言
//       assertEquals(1, pageResult.getTotal());
//       assertEquals(1, pageResult.getList().size());
//       assertPojoEquals(dbZhongPao, pageResult.getList().get(0));
//    }
//
//    @Test
//    @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//    public void testGetZhongPaoList() {
//       // mock 数据
//       ZhongPaoDO dbZhongPao = randomPojo(ZhongPaoDO.class, o -> { // 等会查询到
//           o.setPaoIsOpen(null);
//           o.setZhongIsOpen(null);
//           o.setCreateTime(null);
//       });
//       zhongPaoMapper.insert(dbZhongPao);
//       // 测试 paoIsOpen 不匹配
//       zhongPaoMapper.insert(cloneIgnoreId(dbZhongPao, o -> o.setPaoIsOpen(null)));
//       // 测试 zhongIsOpen 不匹配
//       zhongPaoMapper.insert(cloneIgnoreId(dbZhongPao, o -> o.setZhongIsOpen(null)));
//       // 测试 createTime 不匹配
//       zhongPaoMapper.insert(cloneIgnoreId(dbZhongPao, o -> o.setCreateTime(null)));
//       // 准备参数
//       ZhongPaoExportReqVO reqVO = new ZhongPaoExportReqVO();
//       reqVO.setPaoIsOpen(null);
//       reqVO.setZhongIsOpen(null);
//       reqVO.setBeginCreateTime(null);
//       reqVO.setEndCreateTime(null);
//
//       // 调用
//       List<ZhongPaoDO> list = zhongPaoService.getZhongPaoList(reqVO);
//       // 断言
//       assertEquals(1, list.size());
//       assertPojoEquals(dbZhongPao, list.get(0));
//    }
//
//}
